function foil = foilDim()

% Foil dimensions in VERES-axes
foil.main.xf     = -46.525;
foil.main.yf     =   0.000;
foil.main.zf     = -12.676;
foil.main.g      =   9.807;
foil.main.rho    =  1025.0;
foil.main.span   =  28.072;
foil.main.cord   =   2.845;
foil.main.xLO    = -foil.main.cord/8;
foil.main.xCO    =  foil.main.cord/8;

foil.main.r      = [foil.main.xf,foil.main.yf,foil.main.zf]';

foil.MClab.rho   = 999.7;
foil.MClab.scale = 16;

foil = foilChar(foil);

return