%Jonswap

load('T_borgen');

sig = 0.09;
Hs  = 3;
T   = 0.7*9.5;

Sw = zeros(length(freqs),1);

for i = 1:length(freqs);
    w = freqs(i);
    Sw(i)=155*Hs^2/T^4*w^-5*exp(-944/T^4*w^-4)*3.3^exp(-((0.19*w*T-1)/sqrt(2)*sig)^2);
end
T_Borgen(:,1,2);

Sx = Sw.*T_Borgen(:,1,2).^2;

energy = 0;
for i = 1:length(freqs)-1;
    
    dw = abs(freqs(i)-freqs(i+1));
    dS = abs(Sx(i)+Sx(i+1))/2;
    energy = energy + dS*dw;
end

x  = sqrt(2*Sw).*T_Borgen(:,1,2);

plot(freqs,Sx)
%plot(freqs,T_Borgen(:,1,2))
