
clc
clear all
close all

tic
 
foil = foilDim;

kn2ms    = 0.5144;
deg2rad  = pi/180;

% Set-points for simulation
U_set    = [8 10 12]*kn2ms;
Beta_set = 0*deg2rad;
T_set    = [11.5 10.5 9.5 8.5 7.5 6.5];

folder_set = 'VERES\foil setpoint heads vels';
ship = veres2struct(folder_set);
foil = foil2struct(foil,ship);

% Simulation
model = 'vesselSIMUforce';
vesselSim;


toc



            