%load('sat');
load('T_borgen')
% Wave amplitude experiments 1.5 = thrust RAO
S1 = 1000/1.5;

% From experimental results
w_set = [0.55,0.6,0.66,0.74,0.84,0.97];
% FIXED FOIL
Tow8f  = [26.7 50.1 90.6 107.8 129.4 42.6]*S1;
Tow10f = [26-7 62.8 103.0 133.3 156.2 36.9]*S1;
Tow12f = [24.3 61.3 101.3 144.9 178.2 13.7]*S1; 

vel  = 1;

%Thrust = t;

figure(10)
hold on
            
%plot(freqs,Thrust(:,1,vel),'r');
plot(w_set,Tow8f,'o-r');
plot(freqs,T_Borgen(:,1,vel),'g');
plot(w_set,output_wFoil(3,:,1,1),'-b*','MarkerSize',4);

title(strcat('Thrust at ',num2str(8),' knots'))
xlabel('Wave frequency [1/s]')
ylabel('Thrust force [N]')
legend('Experimental','Time-averaged','Extended time-domain');

hold off

vel  = 2;

%Thrust = t;

figure(11)
hold on
            
%plot(freqs,Thrust(:,1,vel),'r');
plot(w_set,Tow10f,'o-r');
plot(freqs,T_Borgen(:,1,vel),'g');
plot(w_set,output_wFoil(3,:,1,2),'-b*','MarkerSize',4);

title(strcat('Thrust at ',num2str(10),' knots'))
xlabel('Wave frequency [1/s]')
ylabel('Thrust force [N]')
legend('Experimental','Time-averaged','Extended time-domain');

hold off

vel  = 3;

%Thrust = t;

figure(12)
hold on
            
%plot(freqs,Thrust(:,1,vel),'r');
plot(w_set,Tow12f,'o-r');
plot(freqs,T_Borgen(:,1,vel),'g');
plot(w_set,output_wFoil(3,:,1,3),'-b*','MarkerSize',4);

title(strcat('Thrust at ',num2str(12),' knots'))
xlabel('Wave frequency [1/s]')
ylabel('Thrust force [N]')
legend('Experimental','Time-averaged','Extended time-domain');

hold off
