function tmp = redfreq(order,cord,U)
    
    if isempty(order);
        order = 1;
    end
    
    % Creating diagonal matrix for reduced frequency 
    tmp = zeros(order,1);

    for h = 1:order+1;
        ord = order+1 - h;
        tmp(h) = (cord/(2*U))^ord;
    end
    
    tmp = diag(tmp);
end