% CL-generator
function [CL AoA aoa upper lower phi_opt] = CLgen(AoA)

lower = -14;
upper = 14;

CD2  = 0.0005/2;
CD0  = 0.015/2;

if ~exist('AoA','var')
    AoA = lower:0.01:upper;
end

% Input from Excel:
c6 =  0;
c5 =  0;
c4 =  0;
c3 = -0.0002;
c2 = -6e-5;
c1 =  0.098;
c0 = 0;

% CL [-] vs AoA [deg]
syms x 

CL_poly = c6*x^6 + c5*x^5 + c4*x^4 + c3*x^3 + c2*x^2 + c1*x + c0;
CL      = subs(CL_poly,AoA);
%dCL     = diff(CL_poly);
% dCL_mat = subs(dCL,AoA);
% 
% 
% % Finding the positive dCL's
% j = 1;
% for i = 1:length(AoA);
%     if  dCL_mat(i)>0;
%         aoa(j) = AoA(i);
%         j = j+1;
%     end
% end

dCL     = 2*pi*pi/180;
aoa = AoA;

CD_poly = CD2*x^2 + CD0;
dCD     = diff(CD_poly);

phi_opt = atan(subs(dCD/dCL,aoa));





