

% Experimental results
Rt_Ex = [8.5,22.3,44.2,83.1,132.7]*1000;
V_Ex  = [4 6 8 10 12]*0.5144;

fid = fopen('seaway_shipx.seaway_res');

for i = 1:2;
    fgetl(fid);
end

n = fscanf(fid,'%f',1);

[V Rt] = deal(zeros(n,1));

for i = 1:n;
    read = fscanf(fid,'%f',2);
    read = num2cell(read);
    [V(i) Rt(i)] = deal(read{:});
end

V  = V*0.5144; % m/s
Rt = Rt*1000;  % kN

Vmax = max(V);
V1   = 0:0.1:Vmax;
%p1   = polyval(polyfit(V,Rt,7),V1);
p1   = polyval(polyfit(V_Ex,Rt_Ex,3),V1);

figure(1)
hold on
plot(V_Ex,Rt_Ex)
plot(V1,p1,'r')
hold off





