
clc
clear all
close all

tic

foil = foilDim;

folder_set   = 'VERES\foil setpoint heads vels';
folder_slepe = 'C:\Users\Fridtjof\Dropbox\Masteroppgave\Master\Forsk\Resultater fra slepetanken mars 2012\bin\';
path_slepe   = 'CE1032';
savename     = 'Postpro';

ship = veres2struct(folder_set);
foil = foil2struct(foil,ship);

kn2ms   = 0.5144;
deg2rad = pi/180;

% Set-points for simulation
U_set    = [8 10 12]*kn2ms;
Beta_set = 0*deg2rad;
T_set    = [11.5 10.5 9.5 8.5 7.5 6.5];

% post-process MC-lab
case_no   = 8;
plot_flag = '100';
postMC(foil,case_no,plot_flag);

% post-process Sleptanken
%postSlepetanken(foil,folder_slepe,path_slepe)

% Example of Theodorsen response
plot_flag = '0';
foil = fitTheodorsen(foil,ship,U_set(2),plot_flag);

save(savename);

toc



            