

clear all
figure(60);
hold on

wn0 = 1;
xi0 = 1;
t = 0:0.01:7;
sys = tf(wn0^2,[1 2*xi0*wn0 wn0^2]); %eq 12.100
step(sys,t);

wn0 = 15;
xi0 = 1;
sys = tf(wn0^2,[1 2*xi0*wn0 wn0^2]); %eq 12.100
step(sys,t);

wn0 = 5;
xi0 = 0.5;
sys = tf(wn0^2,[1 2*xi0*wn0 wn0^2]); %eq 12.100
step(sys,t);

wn0 = 5;
xi0 = 1.5;
sys = tf(wn0^2,[1 2*xi0*wn0 wn0^2]); %eq 12.100
step(sys,t);

wn0 = 5;
xi0 = 0.7;
sys = tf(wn0^2,[1 2*xi0*wn0 wn0^2]); %eq 12.100
step(sys,t);

legend('w_d=1,xi_d=1',...
    'w_d=15,xi_d=1',...
    'w_d=5,xi_d=0.5',...
    'w_d=5,xi_d=1.5',...
    'w_d=5,xi_d=0.7');

