clear all
name  = 'Excel/mcLab.xls';
sheet = 3;
% U = 1.286
range.AoA{1} = 'D116:Q116';
range.CL{1}  = 'D160:Q160';
range.AoA{2} = 'G314:AK314';
range.CL{2}  = 'G316:AK316';
range.AoA{3} = 'D116:R116';
range.CD{1}  = 'D161:R161';
range.CD{2}  = 'G320:Q320';
range.CD{3}  = 'G319:Q319';

range.p5p1{1}= 'D48:Q48';
range.p5p1{2}= 'D98:Q98';
range.p5p1{3}= 'D148:Q148';
range.p5p1{4}= 'D197:Q197';
range.p5p1{5}= 'D245:Q245';

range.p3p1{1}= 'D36:Q36';
range.p3p1{2}= 'D86:Q86';
range.p3p1{3}= 'D136:Q136';
range.p3p1{4}= 'D185:Q185';
range.p3p1{5}= 'D233:Q233';

range.p5p3{1}= 'D37:Q37';
range.p5p3{2}= 'D87:Q87';
range.p5p3{3}= 'D137:Q137';
range.p5p3{4}= 'D186:Q186';
range.p5p3{5}= 'D234:Q234';

AoA{1} = xlsread(name,sheet,range.AoA{1});
CL{1}  = xlsread(name,sheet,range.CL{1});
AoA{2} = xlsread(name,sheet,range.AoA{2});
CL{2}  = xlsread(name,sheet,range.CL{2});
CL{3}  = CLgen(AoA{2});
CL{4}  = 2*pi*pi/180.*AoA{2};

AoA{3} = xlsread(name,sheet,range.AoA{3});
CD{1}  = xlsread(name,sheet,range.CD{1});
CD{2}  = xlsread(name,sheet,range.CD{2});
CD{3}  = xlsread(name,sheet,range.CD{3});

p5p1{1}  = xlsread(name,sheet,range.p5p1{1})*1000;
p5p1{2}  = xlsread(name,sheet,range.p5p1{2});
p5p1{3}  = xlsread(name,sheet,range.p5p1{3})*1000;
p5p1{4}  = xlsread(name,sheet,range.p5p1{4})*1000;
p5p1{5}  = xlsread(name,sheet,range.p5p1{5})*1000;

p3p1{1}  = xlsread(name,sheet,range.p3p1{1});
p3p1{2}  = xlsread(name,sheet,range.p3p1{2});
p3p1{3}  = xlsread(name,sheet,range.p3p1{3});
p3p1{4}  = xlsread(name,sheet,range.p3p1{4});
p3p1{5}  = xlsread(name,sheet,range.p3p1{5});

p5p3{1}  = xlsread(name,sheet,range.p5p3{1});
p5p3{2}  = xlsread(name,sheet,range.p5p3{2});
p5p3{3}  = xlsread(name,sheet,range.p5p3{3});
p5p3{4}  = xlsread(name,sheet,range.p5p3{4});
p5p3{5}  = xlsread(name,sheet,range.p5p3{5});


% figure(4)
% hold on
% plot(p3p1{1},p5p3{1},'dc','MarkerSize',6,'MarkerEdgeColor','c','LineWidth',1);
% plot(p3p1{2},p5p3{2},'sg','MarkerSize',6,'MarkerEdgeColor','g','LineWidth',1);
% plot(p3p1{3},p5p3{3},'*r','MarkerSize',6,'MarkerEdgeColor','r','LineWidth',1);
% plot(p3p1{4},p5p3{4},'ob','MarkerSize',6,'MarkerEdgeColor','b','LineWidth',1);
% plot(p3p1{5},p5p3{5},'+m','MarkerSize',6,'MarkerEdgeColor','m','LineWidth',1);
% %plot(AoA{2},CL{3},'b','LineWidth',2);
% 
% grid on
% title('Pressure difference graph','FontWeight','bold','FontName','CMR10');
% ylabel('p5-p3 [kPa]')
% xlabel('p3-p1 [kPa]')
% legend('U=0.772 m/s',...
%     'U=1.029 m/s',...
%     'U=1.286 m/s',...
%     'U=1.543 m/s',...
%     'U=1.800 m/s','Location','NorthWest');

% figure(3)
% hold on
% plot(AoA{1},p5p1{1},'dc','MarkerSize',6,'MarkerEdgeColor','c','LineWidth',1);
% plot(AoA{1},p5p1{2},'sg','MarkerSize',6,'MarkerEdgeColor','g','LineWidth',1);
% plot(AoA{1},p5p1{3},'*r','MarkerSize',6,'MarkerEdgeColor','r','LineWidth',1);
% plot(AoA{1}(1:13),p5p1{4}(2:14),'ob','MarkerSize',6,'MarkerEdgeColor','b','LineWidth',1);
% plot(AoA{1},p5p1{5},'+m','MarkerSize',6,'MarkerEdgeColor','m','LineWidth',1);
% %plot(AoA{2},CL{3},'b','LineWidth',2);
% 
% xlim([-17 17]);
% grid on
% title('Dimensionless pressure difference (p5-p1)','FontWeight','bold','FontName','CMR10');
% ylabel('[-]')
% xlabel('Angle of attack [deg]')
% legend('U=0.772 m/s',...
%     'U=1.029 m/s',...
%     'U=1.286 m/s',...
%     'U=1.543 m/s',...
%     'U=1.800 m/s','Location','NorthWest');


figure(1);
hold on
plot(AoA{2},CL{4},'--dc','MarkerSize',4,'MarkerEdgeColor','c','MarkerFaceColor','c');
plot(AoA{2},CL{2},'--sg','MarkerSize',4,'MarkerEdgeColor','g','MarkerFaceColor','g');
plot(AoA{2},CL{3},'b','LineWidth',2);
plot(AoA{1},CL{1},'or','MarkerSize',6,'LineWidth',2);%,'MarkerEdgeColor','r');%,'MarkerFaceColor','r');
xlim([-17 17]);
grid on
title('Lift coefficient','FontWeight','bold','FontName','CMR10');
ylabel('CL [-]')
xlabel('Angle of attack [deg]')
legend('2D flat plate theory',...
    'Prandtl lifting line theory',...
    'Experimental results (fitted)',...
    'Experimental results U = 1.286 m/s');
% 
% figure(2);
% hold on
% plot(AoA{2},CD{2},'--dc','MarkerSize',4,'MarkerEdgeColor','c','MarkerFaceColor','c');
% plot(AoA{2},CD{3},'b','LineWidth',2);
% plot(AoA{3}+1.8,CD{1},'or','MarkerSize',6,'LineWidth',2);%,'MarkerEdgeColor','r');%,'MarkerFaceColor','r');
% xlim([-17 17]);
% grid on
% title('Drag coefficient','FontWeight','bold','FontName','cmr');
% ylabel('CD [-]')
% xlabel('Angle of attack [deg]')
% legend('Prandtl lifting line theory',...
%     'Experimental results (fitted)',...
%     'Experimental results U = 1.286 m/s');


