respT = heavedisp.signals.values;
time  = 0:0.02:200;
respF = Nofoil.motionRAO.amp{3}(i);

respFT= respF*cos(w_e*time);

plot(time,respT,'r',time,respFT,'b');
title('Fluid memory vs steady-state')
xlabel('Wave frequency [1/s]')
ylabel('Heave response [deg]')
legend('Time-domain w/ Fluid mem','Steady-state response');
xlim([0 45])
ylim([-1.2 1.2])
