/* Include files */

#include "blascompat32.h"
#include "vesselFluidMemNonlin_sfun.h"
#include "c1_vesselFluidMemNonlin.h"
#define CHARTINSTANCE_CHARTNUMBER      (chartInstance->chartNumber)
#define CHARTINSTANCE_INSTANCENUMBER   (chartInstance->instanceNumber)
#include "vesselFluidMemNonlin_sfun_debug_macros.h"

/* Type Definitions */

/* Named Constants */

/* Variable Declarations */

/* Variable Definitions */
static const char *c1_debug_family_names[18] = { "idx_M", "M_tmp", "nu_tmp",
  "nu1", "nu2", "Msym", "M11", "M12", "M21", "M22", "dt_dnu1", "dt_dnu2", "C",
  "M", "nu", "nargin", "nargout", "CARB" };

static const char *c1_b_debug_family_names[4] = { "nargin", "nargout", "r", "S"
};

/* Function Declarations */
static void initialize_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance);
static void initialize_params_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance);
static void enable_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance);
static void disable_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance);
static void c1_update_debugger_state_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance);
static const mxArray *get_sim_state_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance);
static void set_sim_state_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance, const mxArray *c1_st);
static void finalize_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance);
static void sf_c1_vesselFluidMemNonlin(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance);
static void c1_c1_vesselFluidMemNonlin(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance);
static void compInitSubchartSimstructsFcn_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance);
static void init_script_number_translation(uint32_T c1_machineNumber, uint32_T
  c1_chartNumber);
static void c1_eml_scalar_eg(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance);
static const mxArray *c1_sf_marshall(void *chartInstanceVoid, void *c1_u);
static const mxArray *c1_b_sf_marshall(void *chartInstanceVoid, void *c1_u);
static const mxArray *c1_c_sf_marshall(void *chartInstanceVoid, void *c1_u);
static const mxArray *c1_d_sf_marshall(void *chartInstanceVoid, void *c1_u);
static const mxArray *c1_e_sf_marshall(void *chartInstanceVoid, void *c1_u);
static const mxArray *c1_f_sf_marshall(void *chartInstanceVoid, void *c1_u);
static void c1_info_helper(c1_ResolvedFunctionInfo c1_info[41]);
static const mxArray *c1_g_sf_marshall(void *chartInstanceVoid, void *c1_u);
static void c1_emlrt_marshallIn(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance, const mxArray *c1_CARB, const char_T *c1_name, real_T c1_y[9]);
static uint8_T c1_b_emlrt_marshallIn(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance, const mxArray *c1_b_is_active_c1_vesselFluidMemNonlin, const
  char_T *c1_name);
static void init_dsm_address_info(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance);

/* Function Definitions */
static void initialize_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  chartInstance->c1_is_active_c1_vesselFluidMemNonlin = 0U;
}

static void initialize_params_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance)
{
}

static void enable_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
}

static void disable_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
}

static void c1_update_debugger_state_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance)
{
}

static const mxArray *get_sim_state_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance)
{
  const mxArray *c1_st = NULL;
  const mxArray *c1_y = NULL;
  int32_T c1_i0;
  real_T c1_hoistedGlobal[9];
  int32_T c1_i1;
  real_T c1_u[9];
  const mxArray *c1_b_y = NULL;
  uint8_T c1_b_hoistedGlobal;
  uint8_T c1_b_u;
  const mxArray *c1_c_y = NULL;
  real_T (*c1_CARB)[9];
  c1_CARB = (real_T (*)[9])ssGetOutputPortSignal(chartInstance->S, 1);
  c1_st = NULL;
  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_createcellarray(2));
  for (c1_i0 = 0; c1_i0 < 9; c1_i0 = c1_i0 + 1) {
    c1_hoistedGlobal[c1_i0] = (*c1_CARB)[c1_i0];
  }

  for (c1_i1 = 0; c1_i1 < 9; c1_i1 = c1_i1 + 1) {
    c1_u[c1_i1] = c1_hoistedGlobal[c1_i1];
  }

  c1_b_y = NULL;
  sf_mex_assign(&c1_b_y, sf_mex_create("y", c1_u, 0, 0U, 1U, 0U, 2, 3, 3));
  sf_mex_setcell(c1_y, 0, c1_b_y);
  c1_b_hoistedGlobal = chartInstance->c1_is_active_c1_vesselFluidMemNonlin;
  c1_b_u = c1_b_hoistedGlobal;
  c1_c_y = NULL;
  sf_mex_assign(&c1_c_y, sf_mex_create("y", &c1_b_u, 3, 0U, 0U, 0U, 0));
  sf_mex_setcell(c1_y, 1, c1_c_y);
  sf_mex_assign(&c1_st, c1_y);
  return c1_st;
}

static void set_sim_state_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance, const mxArray *c1_st)
{
  const mxArray *c1_u;
  real_T c1_dv0[9];
  int32_T c1_i2;
  real_T (*c1_CARB)[9];
  c1_CARB = (real_T (*)[9])ssGetOutputPortSignal(chartInstance->S, 1);
  chartInstance->c1_doneDoubleBufferReInit = TRUE;
  c1_u = sf_mex_dup(c1_st);
  c1_emlrt_marshallIn(chartInstance, sf_mex_dup(sf_mex_getcell(c1_u, 0)), "CARB",
                      c1_dv0);
  for (c1_i2 = 0; c1_i2 < 9; c1_i2 = c1_i2 + 1) {
    (*c1_CARB)[c1_i2] = c1_dv0[c1_i2];
  }

  chartInstance->c1_is_active_c1_vesselFluidMemNonlin = c1_b_emlrt_marshallIn
    (chartInstance, sf_mex_dup(sf_mex_getcell(c1_u, 1)),
     "is_active_c1_vesselFluidMemNonlin");
  sf_mex_destroy(&c1_u);
  c1_update_debugger_state_c1_vesselFluidMemNonlin(chartInstance);
  sf_mex_destroy(&c1_st);
}

static void finalize_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance)
{
}

static void sf_c1_vesselFluidMemNonlin(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance)
{
  int32_T c1_i3;
  int32_T c1_i4;
  int32_T c1_i5;
  int32_T c1_previousEvent;
  real_T (*c1_nu)[3];
  real_T (*c1_CARB)[9];
  real_T (*c1_M)[9];
  c1_nu = (real_T (*)[3])ssGetInputPortSignal(chartInstance->S, 1);
  c1_CARB = (real_T (*)[9])ssGetOutputPortSignal(chartInstance->S, 1);
  c1_M = (real_T (*)[9])ssGetInputPortSignal(chartInstance->S, 0);
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  _SFD_CC_CALL(CHART_ENTER_SFUNCTION_TAG, 0);
  for (c1_i3 = 0; c1_i3 < 9; c1_i3 = c1_i3 + 1) {
    _SFD_DATA_RANGE_CHECK((*c1_M)[c1_i3], 0U);
  }

  for (c1_i4 = 0; c1_i4 < 9; c1_i4 = c1_i4 + 1) {
    _SFD_DATA_RANGE_CHECK((*c1_CARB)[c1_i4], 1U);
  }

  for (c1_i5 = 0; c1_i5 < 3; c1_i5 = c1_i5 + 1) {
    _SFD_DATA_RANGE_CHECK((*c1_nu)[c1_i5], 2U);
  }

  c1_previousEvent = _sfEvent_;
  _sfEvent_ = CALL_EVENT;
  c1_c1_vesselFluidMemNonlin(chartInstance);
  _sfEvent_ = c1_previousEvent;
  sf_debug_check_for_state_inconsistency(_vesselFluidMemNonlinMachineNumber_,
    chartInstance->chartNumber, chartInstance->
    instanceNumber);
}

static void c1_c1_vesselFluidMemNonlin(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance)
{
  int32_T c1_i6;
  real_T c1_hoistedGlobal[9];
  int32_T c1_i7;
  real_T c1_b_hoistedGlobal[3];
  int32_T c1_i8;
  real_T c1_M[9];
  int32_T c1_i9;
  real_T c1_nu[3];
  uint32_T c1_debug_family_var_map[18];
  static const char *c1_sv0[18] = { "idx_M", "M_tmp", "nu_tmp", "nu1", "nu2",
    "Msym", "M11", "M12", "M21", "M22", "dt_dnu1", "dt_dnu2"
    , "C", "M", "nu", "nargin", "nargout", "CARB" };

  real_T c1_idx_M[3];
  real_T c1_M_tmp[36];
  real_T c1_nu_tmp[6];
  real_T c1_nu1[3];
  real_T c1_nu2[3];
  real_T c1_Msym[36];
  real_T c1_M11[9];
  real_T c1_M12[9];
  real_T c1_M21[9];
  real_T c1_M22[9];
  real_T c1_dt_dnu1[3];
  real_T c1_dt_dnu2[3];
  real_T c1_C[36];
  real_T c1_b_M[36];
  real_T c1_b_nu[6];
  real_T c1_nargin = 2.0;
  real_T c1_nargout = 1.0;
  real_T c1_CARB[9];
  int32_T c1_i10;
  int32_T c1_i11;
  int32_T c1_i12;
  int32_T c1_i13;
  int32_T c1_i14;
  int32_T c1_i15;
  int32_T c1_i16;
  int32_T c1_i17;
  int32_T c1_i18;
  int32_T c1_i19;
  int32_T c1_i20;
  int32_T c1_i21;
  int32_T c1_i22;
  int32_T c1_i23;
  real_T c1_b[36];
  int32_T c1_i24;
  int32_T c1_i25;
  int32_T c1_i26;
  int32_T c1_i27;
  int32_T c1_i28;
  int32_T c1_i29;
  int32_T c1_i30;
  int32_T c1_i31;
  int32_T c1_i32;
  int32_T c1_i33;
  int32_T c1_i34;
  int32_T c1_i35;
  int32_T c1_i36;
  int32_T c1_i37;
  int32_T c1_i38;
  int32_T c1_i39;
  int32_T c1_i40;
  int32_T c1_i41;
  int32_T c1_i42;
  real_T c1_a[9];
  int32_T c1_i43;
  real_T c1_b_b[3];
  int32_T c1_i44;
  real_T c1_A[9];
  int32_T c1_i45;
  real_T c1_B[3];
  int32_T c1_i46;
  real_T c1_b_A[9];
  int32_T c1_i47;
  real_T c1_b_B[3];
  int32_T c1_i48;
  real_T c1_c_A[9];
  int32_T c1_i49;
  real_T c1_c_B[3];
  int32_T c1_i50;
  real_T c1_y[3];
  int32_T c1_i51;
  int32_T c1_i52;
  int32_T c1_i53;
  real_T c1_b_a[9];
  int32_T c1_i54;
  real_T c1_c_b[3];
  int32_T c1_i55;
  real_T c1_d_A[9];
  int32_T c1_i56;
  real_T c1_d_B[3];
  int32_T c1_i57;
  real_T c1_e_A[9];
  int32_T c1_i58;
  real_T c1_e_B[3];
  int32_T c1_i59;
  real_T c1_f_A[9];
  int32_T c1_i60;
  real_T c1_f_B[3];
  int32_T c1_i61;
  real_T c1_b_y[3];
  int32_T c1_i62;
  int32_T c1_i63;
  int32_T c1_i64;
  int32_T c1_i65;
  real_T c1_c_a[9];
  int32_T c1_i66;
  real_T c1_d_b[3];
  int32_T c1_i67;
  real_T c1_g_A[9];
  int32_T c1_i68;
  real_T c1_g_B[3];
  int32_T c1_i69;
  real_T c1_h_A[9];
  int32_T c1_i70;
  real_T c1_h_B[3];
  int32_T c1_i71;
  real_T c1_i_A[9];
  int32_T c1_i72;
  real_T c1_i_B[3];
  int32_T c1_i73;
  real_T c1_c_y[3];
  int32_T c1_i74;
  int32_T c1_i75;
  int32_T c1_i76;
  real_T c1_d_a[9];
  int32_T c1_i77;
  real_T c1_e_b[3];
  int32_T c1_i78;
  real_T c1_j_A[9];
  int32_T c1_i79;
  real_T c1_j_B[3];
  int32_T c1_i80;
  real_T c1_k_A[9];
  int32_T c1_i81;
  real_T c1_k_B[3];
  int32_T c1_i82;
  real_T c1_l_A[9];
  int32_T c1_i83;
  real_T c1_l_B[3];
  int32_T c1_i84;
  real_T c1_d_y[3];
  int32_T c1_i85;
  int32_T c1_i86;
  int32_T c1_i87;
  int32_T c1_i88;
  real_T c1_r[3];
  uint32_T c1_b_debug_family_var_map[4];
  static const char *c1_sv1[4] = { "nargin", "nargout", "r", "S" };

  real_T c1_b_nargin = 1.0;
  real_T c1_b_nargout = 1.0;
  real_T c1_S[9];
  int32_T c1_i89;
  real_T c1_b_r[3];
  uint32_T c1_c_debug_family_var_map[4];
  real_T c1_c_nargin = 1.0;
  real_T c1_c_nargout = 1.0;
  real_T c1_b_S[9];
  int32_T c1_i90;
  real_T c1_c_r[3];
  uint32_T c1_d_debug_family_var_map[4];
  real_T c1_d_nargin = 1.0;
  real_T c1_d_nargout = 1.0;
  real_T c1_c_S[9];
  int32_T c1_i91;
  int32_T c1_i92;
  int32_T c1_i93;
  int32_T c1_i94;
  int32_T c1_i95;
  int32_T c1_i96;
  int32_T c1_i97;
  int32_T c1_i98;
  int32_T c1_i99;
  int32_T c1_i100;
  int32_T c1_i101;
  int32_T c1_i102;
  int32_T c1_i103;
  int32_T c1_i104;
  int32_T c1_i105;
  int32_T c1_i106;
  int32_T c1_i107;
  int32_T c1_i108;
  real_T (*c1_b_CARB)[9];
  real_T (*c1_c_nu)[3];
  real_T (*c1_c_M)[9];
  c1_c_nu = (real_T (*)[3])ssGetInputPortSignal(chartInstance->S, 1);
  c1_b_CARB = (real_T (*)[9])ssGetOutputPortSignal(chartInstance->S, 1);
  c1_c_M = (real_T (*)[9])ssGetInputPortSignal(chartInstance->S, 0);
  _SFD_CC_CALL(CHART_ENTER_DURING_FUNCTION_TAG, 0);
  for (c1_i6 = 0; c1_i6 < 9; c1_i6 = c1_i6 + 1) {
    c1_hoistedGlobal[c1_i6] = (*c1_c_M)[c1_i6];
  }

  for (c1_i7 = 0; c1_i7 < 3; c1_i7 = c1_i7 + 1) {
    c1_b_hoistedGlobal[c1_i7] = (*c1_c_nu)[c1_i7];
  }

  for (c1_i8 = 0; c1_i8 < 9; c1_i8 = c1_i8 + 1) {
    c1_M[c1_i8] = c1_hoistedGlobal[c1_i8];
  }

  for (c1_i9 = 0; c1_i9 < 3; c1_i9 = c1_i9 + 1) {
    c1_nu[c1_i9] = c1_b_hoistedGlobal[c1_i9];
  }

  sf_debug_symbol_scope_push_eml(0U, 18U, 20U, c1_sv0, c1_debug_family_var_map);
  sf_debug_symbol_scope_add_eml(c1_idx_M, c1_f_sf_marshall, 0U);
  sf_debug_symbol_scope_add_eml(c1_M_tmp, c1_e_sf_marshall, 1U);
  sf_debug_symbol_scope_add_eml(c1_nu_tmp, c1_d_sf_marshall, 2U);
  sf_debug_symbol_scope_add_eml(c1_nu1, c1_b_sf_marshall, 3U);
  sf_debug_symbol_scope_add_eml(c1_nu2, c1_b_sf_marshall, 4U);
  sf_debug_symbol_scope_add_eml(c1_Msym, c1_e_sf_marshall, 5U);
  sf_debug_symbol_scope_add_eml(c1_M11, c1_sf_marshall, 6U);
  sf_debug_symbol_scope_add_eml(c1_M12, c1_sf_marshall, 7U);
  sf_debug_symbol_scope_add_eml(c1_M21, c1_sf_marshall, 8U);
  sf_debug_symbol_scope_add_eml(c1_M22, c1_sf_marshall, 9U);
  sf_debug_symbol_scope_add_eml(c1_dt_dnu1, c1_b_sf_marshall, 10U);
  sf_debug_symbol_scope_add_eml(c1_dt_dnu2, c1_b_sf_marshall, 11U);
  sf_debug_symbol_scope_add_eml(c1_C, c1_e_sf_marshall, 12U);
  sf_debug_symbol_scope_add_eml(c1_b_M, c1_e_sf_marshall, MAX_uint32_T);
  sf_debug_symbol_scope_add_eml(c1_b_nu, c1_d_sf_marshall, MAX_uint32_T);
  sf_debug_symbol_scope_add_eml(&c1_nargin, c1_c_sf_marshall, 15U);
  sf_debug_symbol_scope_add_eml(&c1_nargout, c1_c_sf_marshall, 16U);
  sf_debug_symbol_scope_add_eml(c1_M, c1_sf_marshall, 13U);
  sf_debug_symbol_scope_add_eml(c1_nu, c1_b_sf_marshall, 14U);
  sf_debug_symbol_scope_add_eml(c1_CARB, c1_sf_marshall, 17U);
  CV_EML_FCN(0, 0);
  _SFD_EML_CALL(0, 5);
  for (c1_i10 = 0; c1_i10 < 3; c1_i10 = c1_i10 + 1) {
    c1_idx_M[c1_i10] = 1.0 + 2.0 * (real_T)c1_i10;
  }

  _SFD_EML_CALL(0, 6);
  for (c1_i11 = 0; c1_i11 < 36; c1_i11 = c1_i11 + 1) {
    c1_M_tmp[c1_i11] = 0.0;
  }

  _SFD_EML_CALL(0, 7);
  for (c1_i12 = 0; c1_i12 < 3; c1_i12 = c1_i12 + 1) {
    for (c1_i13 = 0; c1_i13 < 3; c1_i13 = c1_i13 + 1) {
      c1_M_tmp[(_SFD_EML_ARRAY_BOUNDS_CHECK("M_tmp", (int32_T)_SFD_INTEGER_CHECK
                 ("idx_M", c1_idx_M[c1_i13]), 1, 6, 1, 0) - 1) + 6 * (
        _SFD_EML_ARRAY_BOUNDS_CHECK("M_tmp", (int32_T)_SFD_INTEGER_CHECK("idx_M",
        c1_idx_M[c1_i12]), 1, 6, 2, 0) - 1)] = c1_M[c1_i13 + 3 *
        c1_i12];
    }
  }

  _SFD_EML_CALL(0, 8);
  for (c1_i14 = 0; c1_i14 < 36; c1_i14 = c1_i14 + 1) {
    c1_b_M[c1_i14] = c1_M_tmp[c1_i14];
  }

  sf_debug_symbol_switch(13U, 13U);
  _SFD_EML_CALL(0, 10);
  for (c1_i15 = 0; c1_i15 < 6; c1_i15 = c1_i15 + 1) {
    c1_nu_tmp[c1_i15] = 0.0;
  }

  _SFD_EML_CALL(0, 11);
  for (c1_i16 = 0; c1_i16 < 3; c1_i16 = c1_i16 + 1) {
    c1_nu_tmp[_SFD_EML_ARRAY_BOUNDS_CHECK("nu_tmp", (int32_T)_SFD_INTEGER_CHECK(
      "idx_M", c1_idx_M[c1_i16]), 1, 6, 1, 0) - 1] = c1_nu[
      c1_i16];
  }

  _SFD_EML_CALL(0, 12);
  for (c1_i17 = 0; c1_i17 < 6; c1_i17 = c1_i17 + 1) {
    c1_b_nu[c1_i17] = c1_nu_tmp[c1_i17];
  }

  sf_debug_symbol_switch(14U, 14U);
  _SFD_EML_CALL(0, 14);
  for (c1_i18 = 0; c1_i18 < 3; c1_i18 = c1_i18 + 1) {
    c1_nu1[c1_i18] = c1_b_nu[c1_i18];
  }

  _SFD_EML_CALL(0, 15);
  for (c1_i19 = 0; c1_i19 < 3; c1_i19 = c1_i19 + 1) {
    c1_nu2[c1_i19] = c1_b_nu[c1_i19 + 3];
  }

  /*  T = 1/2 (v'Mv) = 1/2 v'(1/2(M + M')+1/2(M-M')) v =  1/2 v' Msym v */
  /*  Msym = 1/2 (M+M') */
  _SFD_EML_CALL(0, 20);
  c1_i20 = 0;
  for (c1_i21 = 0; c1_i21 < 6; c1_i21 = c1_i21 + 1) {
    c1_i22 = 0;
    for (c1_i23 = 0; c1_i23 < 6; c1_i23 = c1_i23 + 1) {
      c1_b[c1_i23 + c1_i20] = c1_b_M[c1_i23 + c1_i20] + c1_b_M[c1_i22 + c1_i21];
      c1_i22 = c1_i22 + 6;
    }

    c1_i20 = c1_i20 + 6;
  }

  for (c1_i24 = 0; c1_i24 < 36; c1_i24 = c1_i24 + 1) {
    c1_Msym[c1_i24] = 0.5 * c1_b[c1_i24];
  }

  _SFD_EML_CALL(0, 21);
  for (c1_i25 = 0; c1_i25 < 36; c1_i25 = c1_i25 + 1) {
    c1_b_M[c1_i25] = c1_Msym[c1_i25];
  }

  sf_debug_symbol_switch(13U, 13U);
  _SFD_EML_CALL(0, 23);
  c1_i26 = 0;
  c1_i27 = 0;
  for (c1_i28 = 0; c1_i28 < 3; c1_i28 = c1_i28 + 1) {
    for (c1_i29 = 0; c1_i29 < 3; c1_i29 = c1_i29 + 1) {
      c1_M11[c1_i29 + c1_i26] = c1_b_M[c1_i29 + c1_i27];
    }

    c1_i26 = c1_i26 + 3;
    c1_i27 = c1_i27 + 6;
  }

  _SFD_EML_CALL(0, 24);
  c1_i30 = 0;
  c1_i31 = 0;
  for (c1_i32 = 0; c1_i32 < 3; c1_i32 = c1_i32 + 1) {
    for (c1_i33 = 0; c1_i33 < 3; c1_i33 = c1_i33 + 1) {
      c1_M12[c1_i33 + c1_i30] = c1_b_M[(c1_i33 + c1_i31) + 18];
    }

    c1_i30 = c1_i30 + 3;
    c1_i31 = c1_i31 + 6;
  }

  _SFD_EML_CALL(0, 25);
  c1_i34 = 0;
  for (c1_i35 = 0; c1_i35 < 3; c1_i35 = c1_i35 + 1) {
    c1_i36 = 0;
    for (c1_i37 = 0; c1_i37 < 3; c1_i37 = c1_i37 + 1) {
      c1_M21[c1_i37 + c1_i34] = c1_M12[c1_i36 + c1_i35];
      c1_i36 = c1_i36 + 3;
    }

    c1_i34 = c1_i34 + 3;
  }

  _SFD_EML_CALL(0, 26);
  c1_i38 = 0;
  c1_i39 = 0;
  for (c1_i40 = 0; c1_i40 < 3; c1_i40 = c1_i40 + 1) {
    for (c1_i41 = 0; c1_i41 < 3; c1_i41 = c1_i41 + 1) {
      c1_M22[c1_i41 + c1_i38] = c1_b_M[(c1_i41 + c1_i39) + 21];
    }

    c1_i38 = c1_i38 + 3;
    c1_i39 = c1_i39 + 6;
  }

  _SFD_EML_CALL(0, 28);
  for (c1_i42 = 0; c1_i42 < 9; c1_i42 = c1_i42 + 1) {
    c1_a[c1_i42] = c1_M11[c1_i42];
  }

  for (c1_i43 = 0; c1_i43 < 3; c1_i43 = c1_i43 + 1) {
    c1_b_b[c1_i43] = c1_nu1[c1_i43];
  }

  c1_eml_scalar_eg(chartInstance);
  c1_eml_scalar_eg(chartInstance);
  for (c1_i44 = 0; c1_i44 < 9; c1_i44 = c1_i44 + 1) {
    c1_A[c1_i44] = c1_a[c1_i44];
  }

  for (c1_i45 = 0; c1_i45 < 3; c1_i45 = c1_i45 + 1) {
    c1_B[c1_i45] = c1_b_b[c1_i45];
  }

  for (c1_i46 = 0; c1_i46 < 9; c1_i46 = c1_i46 + 1) {
    c1_b_A[c1_i46] = c1_A[c1_i46];
  }

  for (c1_i47 = 0; c1_i47 < 3; c1_i47 = c1_i47 + 1) {
    c1_b_B[c1_i47] = c1_B[c1_i47];
  }

  for (c1_i48 = 0; c1_i48 < 9; c1_i48 = c1_i48 + 1) {
    c1_c_A[c1_i48] = c1_b_A[c1_i48];
  }

  for (c1_i49 = 0; c1_i49 < 3; c1_i49 = c1_i49 + 1) {
    c1_c_B[c1_i49] = c1_b_B[c1_i49];
  }

  for (c1_i50 = 0; c1_i50 < 3; c1_i50 = c1_i50 + 1) {
    c1_y[c1_i50] = 0.0;
    c1_i51 = 0;
    for (c1_i52 = 0; c1_i52 < 3; c1_i52 = c1_i52 + 1) {
      c1_y[c1_i50] = c1_y[c1_i50] + c1_c_A[c1_i51 + c1_i50] * c1_c_B[c1_i52];
      c1_i51 = c1_i51 + 3;
    }
  }

  for (c1_i53 = 0; c1_i53 < 9; c1_i53 = c1_i53 + 1) {
    c1_b_a[c1_i53] = c1_M12[c1_i53];
  }

  for (c1_i54 = 0; c1_i54 < 3; c1_i54 = c1_i54 + 1) {
    c1_c_b[c1_i54] = c1_nu2[c1_i54];
  }

  c1_eml_scalar_eg(chartInstance);
  c1_eml_scalar_eg(chartInstance);
  for (c1_i55 = 0; c1_i55 < 9; c1_i55 = c1_i55 + 1) {
    c1_d_A[c1_i55] = c1_b_a[c1_i55];
  }

  for (c1_i56 = 0; c1_i56 < 3; c1_i56 = c1_i56 + 1) {
    c1_d_B[c1_i56] = c1_c_b[c1_i56];
  }

  for (c1_i57 = 0; c1_i57 < 9; c1_i57 = c1_i57 + 1) {
    c1_e_A[c1_i57] = c1_d_A[c1_i57];
  }

  for (c1_i58 = 0; c1_i58 < 3; c1_i58 = c1_i58 + 1) {
    c1_e_B[c1_i58] = c1_d_B[c1_i58];
  }

  for (c1_i59 = 0; c1_i59 < 9; c1_i59 = c1_i59 + 1) {
    c1_f_A[c1_i59] = c1_e_A[c1_i59];
  }

  for (c1_i60 = 0; c1_i60 < 3; c1_i60 = c1_i60 + 1) {
    c1_f_B[c1_i60] = c1_e_B[c1_i60];
  }

  for (c1_i61 = 0; c1_i61 < 3; c1_i61 = c1_i61 + 1) {
    c1_b_y[c1_i61] = 0.0;
    c1_i62 = 0;
    for (c1_i63 = 0; c1_i63 < 3; c1_i63 = c1_i63 + 1) {
      c1_b_y[c1_i61] = c1_b_y[c1_i61] + c1_f_A[c1_i62 + c1_i61] * c1_f_B[c1_i63];
      c1_i62 = c1_i62 + 3;
    }
  }

  for (c1_i64 = 0; c1_i64 < 3; c1_i64 = c1_i64 + 1) {
    c1_dt_dnu1[c1_i64] = c1_y[c1_i64] + c1_b_y[c1_i64];
  }

  _SFD_EML_CALL(0, 29);
  for (c1_i65 = 0; c1_i65 < 9; c1_i65 = c1_i65 + 1) {
    c1_c_a[c1_i65] = c1_M21[c1_i65];
  }

  for (c1_i66 = 0; c1_i66 < 3; c1_i66 = c1_i66 + 1) {
    c1_d_b[c1_i66] = c1_nu1[c1_i66];
  }

  c1_eml_scalar_eg(chartInstance);
  c1_eml_scalar_eg(chartInstance);
  for (c1_i67 = 0; c1_i67 < 9; c1_i67 = c1_i67 + 1) {
    c1_g_A[c1_i67] = c1_c_a[c1_i67];
  }

  for (c1_i68 = 0; c1_i68 < 3; c1_i68 = c1_i68 + 1) {
    c1_g_B[c1_i68] = c1_d_b[c1_i68];
  }

  for (c1_i69 = 0; c1_i69 < 9; c1_i69 = c1_i69 + 1) {
    c1_h_A[c1_i69] = c1_g_A[c1_i69];
  }

  for (c1_i70 = 0; c1_i70 < 3; c1_i70 = c1_i70 + 1) {
    c1_h_B[c1_i70] = c1_g_B[c1_i70];
  }

  for (c1_i71 = 0; c1_i71 < 9; c1_i71 = c1_i71 + 1) {
    c1_i_A[c1_i71] = c1_h_A[c1_i71];
  }

  for (c1_i72 = 0; c1_i72 < 3; c1_i72 = c1_i72 + 1) {
    c1_i_B[c1_i72] = c1_h_B[c1_i72];
  }

  for (c1_i73 = 0; c1_i73 < 3; c1_i73 = c1_i73 + 1) {
    c1_c_y[c1_i73] = 0.0;
    c1_i74 = 0;
    for (c1_i75 = 0; c1_i75 < 3; c1_i75 = c1_i75 + 1) {
      c1_c_y[c1_i73] = c1_c_y[c1_i73] + c1_i_A[c1_i74 + c1_i73] * c1_i_B[c1_i75];
      c1_i74 = c1_i74 + 3;
    }
  }

  for (c1_i76 = 0; c1_i76 < 9; c1_i76 = c1_i76 + 1) {
    c1_d_a[c1_i76] = c1_M22[c1_i76];
  }

  for (c1_i77 = 0; c1_i77 < 3; c1_i77 = c1_i77 + 1) {
    c1_e_b[c1_i77] = c1_nu2[c1_i77];
  }

  c1_eml_scalar_eg(chartInstance);
  c1_eml_scalar_eg(chartInstance);
  for (c1_i78 = 0; c1_i78 < 9; c1_i78 = c1_i78 + 1) {
    c1_j_A[c1_i78] = c1_d_a[c1_i78];
  }

  for (c1_i79 = 0; c1_i79 < 3; c1_i79 = c1_i79 + 1) {
    c1_j_B[c1_i79] = c1_e_b[c1_i79];
  }

  for (c1_i80 = 0; c1_i80 < 9; c1_i80 = c1_i80 + 1) {
    c1_k_A[c1_i80] = c1_j_A[c1_i80];
  }

  for (c1_i81 = 0; c1_i81 < 3; c1_i81 = c1_i81 + 1) {
    c1_k_B[c1_i81] = c1_j_B[c1_i81];
  }

  for (c1_i82 = 0; c1_i82 < 9; c1_i82 = c1_i82 + 1) {
    c1_l_A[c1_i82] = c1_k_A[c1_i82];
  }

  for (c1_i83 = 0; c1_i83 < 3; c1_i83 = c1_i83 + 1) {
    c1_l_B[c1_i83] = c1_k_B[c1_i83];
  }

  for (c1_i84 = 0; c1_i84 < 3; c1_i84 = c1_i84 + 1) {
    c1_d_y[c1_i84] = 0.0;
    c1_i85 = 0;
    for (c1_i86 = 0; c1_i86 < 3; c1_i86 = c1_i86 + 1) {
      c1_d_y[c1_i84] = c1_d_y[c1_i84] + c1_l_A[c1_i85 + c1_i84] * c1_l_B[c1_i86];
      c1_i85 = c1_i85 + 3;
    }
  }

  for (c1_i87 = 0; c1_i87 < 3; c1_i87 = c1_i87 + 1) {
    c1_dt_dnu2[c1_i87] = c1_c_y[c1_i87] + c1_d_y[c1_i87];
  }

  _SFD_EML_CALL(0, 31);
  for (c1_i88 = 0; c1_i88 < 3; c1_i88 = c1_i88 + 1) {
    c1_r[c1_i88] = c1_dt_dnu1[c1_i88];
  }

  sf_debug_symbol_scope_push_eml(0U, 4U, 4U, c1_sv1, c1_b_debug_family_var_map);
  sf_debug_symbol_scope_add_eml(&c1_b_nargin, c1_c_sf_marshall, 0U);
  sf_debug_symbol_scope_add_eml(&c1_b_nargout, c1_c_sf_marshall, 1U);
  sf_debug_symbol_scope_add_eml(c1_r, c1_b_sf_marshall, 2U);
  sf_debug_symbol_scope_add_eml(c1_S, c1_sf_marshall, 3U);
  CV_EML_FCN(0, 1);

  /*  S = SMTRX(r) computes the 3x3 vector cross product matrix S=-S' */
  /*  such that rxt = S(r)t is true for all 3x1 vectors r and t */
  /*  */
  /*  Author:   Thor I. Fossen */
  /*  Date:     14th June 2001 */
  /*  Revisions:  */
  /*  ________________________________________________________________ */
  /*  */
  /*  MSS GNC is a Matlab toolbox for guidance, navigation and control. */
  /*  The toolbox is part of the Marine Systems Simulator (MSS). */
  /*  */
  /*  Copyright (C) 2008 Thor I. Fossen and Tristan Perez */
  /*   */
  /*  This program is free software: you can redistribute it and/or modify */
  /*  it under the terms of the GNU General Public License as published by */
  /*  the Free Software Foundation, either version 3 of the License, or */
  /*  (at your option) any later version. */
  /*   */
  /*  This program is distributed in the hope that it will be useful, but */
  /*  WITHOUT ANY WARRANTY; without even the implied warranty of */
  /*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  */
  /*  GNU General Public License for more details. */
  /*   */
  /*  You should have received a copy of the GNU General Public License */
  /*  along with this program.  If not, see <http://www.gnu.org/licenses/>. */
  /*   */
  /*  E-mail: contact@marinecontrol.org */
  /*  URL:    <http://www.marinecontrol.org> */
  _SFD_EML_CALL(0, 66);
  c1_S[0] = 0.0;
  c1_S[3] = -c1_r[2];
  c1_S[6] = c1_r[1];
  c1_S[1] = c1_r[2];
  c1_S[4] = 0.0;
  c1_S[7] = -c1_r[0];
  c1_S[2] = -c1_r[1];
  c1_S[5] = c1_r[0];
  c1_S[8] = 0.0;
  _SFD_EML_CALL(0, -66);
  sf_debug_symbol_scope_pop();
  for (c1_i89 = 0; c1_i89 < 3; c1_i89 = c1_i89 + 1) {
    c1_b_r[c1_i89] = c1_dt_dnu1[c1_i89];
  }

  sf_debug_symbol_scope_push_eml(0U, 4U, 4U, c1_sv1, c1_c_debug_family_var_map);
  sf_debug_symbol_scope_add_eml(&c1_c_nargin, c1_c_sf_marshall, 0U);
  sf_debug_symbol_scope_add_eml(&c1_c_nargout, c1_c_sf_marshall, 1U);
  sf_debug_symbol_scope_add_eml(c1_b_r, c1_b_sf_marshall, 2U);
  sf_debug_symbol_scope_add_eml(c1_b_S, c1_sf_marshall, 3U);
  CV_EML_FCN(0, 1);

  /*  S = SMTRX(r) computes the 3x3 vector cross product matrix S=-S' */
  /*  such that rxt = S(r)t is true for all 3x1 vectors r and t */
  /*  */
  /*  Author:   Thor I. Fossen */
  /*  Date:     14th June 2001 */
  /*  Revisions:  */
  /*  ________________________________________________________________ */
  /*  */
  /*  MSS GNC is a Matlab toolbox for guidance, navigation and control. */
  /*  The toolbox is part of the Marine Systems Simulator (MSS). */
  /*  */
  /*  Copyright (C) 2008 Thor I. Fossen and Tristan Perez */
  /*   */
  /*  This program is free software: you can redistribute it and/or modify */
  /*  it under the terms of the GNU General Public License as published by */
  /*  the Free Software Foundation, either version 3 of the License, or */
  /*  (at your option) any later version. */
  /*   */
  /*  This program is distributed in the hope that it will be useful, but */
  /*  WITHOUT ANY WARRANTY; without even the implied warranty of */
  /*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  */
  /*  GNU General Public License for more details. */
  /*   */
  /*  You should have received a copy of the GNU General Public License */
  /*  along with this program.  If not, see <http://www.gnu.org/licenses/>. */
  /*   */
  /*  E-mail: contact@marinecontrol.org */
  /*  URL:    <http://www.marinecontrol.org> */
  _SFD_EML_CALL(0, 66);
  c1_b_S[0] = 0.0;
  c1_b_S[3] = -c1_b_r[2];
  c1_b_S[6] = c1_b_r[1];
  c1_b_S[1] = c1_b_r[2];
  c1_b_S[4] = 0.0;
  c1_b_S[7] = -c1_b_r[0];
  c1_b_S[2] = -c1_b_r[1];
  c1_b_S[5] = c1_b_r[0];
  c1_b_S[8] = 0.0;
  _SFD_EML_CALL(0, -66);
  sf_debug_symbol_scope_pop();
  for (c1_i90 = 0; c1_i90 < 3; c1_i90 = c1_i90 + 1) {
    c1_c_r[c1_i90] = c1_dt_dnu2[c1_i90];
  }

  sf_debug_symbol_scope_push_eml(0U, 4U, 4U, c1_sv1, c1_d_debug_family_var_map);
  sf_debug_symbol_scope_add_eml(&c1_d_nargin, c1_c_sf_marshall, 0U);
  sf_debug_symbol_scope_add_eml(&c1_d_nargout, c1_c_sf_marshall, 1U);
  sf_debug_symbol_scope_add_eml(c1_c_r, c1_b_sf_marshall, 2U);
  sf_debug_symbol_scope_add_eml(c1_c_S, c1_sf_marshall, 3U);
  CV_EML_FCN(0, 1);

  /*  S = SMTRX(r) computes the 3x3 vector cross product matrix S=-S' */
  /*  such that rxt = S(r)t is true for all 3x1 vectors r and t */
  /*  */
  /*  Author:   Thor I. Fossen */
  /*  Date:     14th June 2001 */
  /*  Revisions:  */
  /*  ________________________________________________________________ */
  /*  */
  /*  MSS GNC is a Matlab toolbox for guidance, navigation and control. */
  /*  The toolbox is part of the Marine Systems Simulator (MSS). */
  /*  */
  /*  Copyright (C) 2008 Thor I. Fossen and Tristan Perez */
  /*   */
  /*  This program is free software: you can redistribute it and/or modify */
  /*  it under the terms of the GNU General Public License as published by */
  /*  the Free Software Foundation, either version 3 of the License, or */
  /*  (at your option) any later version. */
  /*   */
  /*  This program is distributed in the hope that it will be useful, but */
  /*  WITHOUT ANY WARRANTY; without even the implied warranty of */
  /*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  */
  /*  GNU General Public License for more details. */
  /*   */
  /*  You should have received a copy of the GNU General Public License */
  /*  along with this program.  If not, see <http://www.gnu.org/licenses/>. */
  /*   */
  /*  E-mail: contact@marinecontrol.org */
  /*  URL:    <http://www.marinecontrol.org> */
  _SFD_EML_CALL(0, 66);
  c1_c_S[0] = 0.0;
  c1_c_S[3] = -c1_c_r[2];
  c1_c_S[6] = c1_c_r[1];
  c1_c_S[1] = c1_c_r[2];
  c1_c_S[4] = 0.0;
  c1_c_S[7] = -c1_c_r[0];
  c1_c_S[2] = -c1_c_r[1];
  c1_c_S[5] = c1_c_r[0];
  c1_c_S[8] = 0.0;
  _SFD_EML_CALL(0, -66);
  sf_debug_symbol_scope_pop();
  c1_i91 = 0;
  for (c1_i92 = 0; c1_i92 < 3; c1_i92 = c1_i92 + 1) {
    for (c1_i93 = 0; c1_i93 < 3; c1_i93 = c1_i93 + 1) {
      c1_C[c1_i93 + c1_i91] = 0.0;
    }

    c1_i91 = c1_i91 + 6;
  }

  c1_i94 = 0;
  c1_i95 = 0;
  for (c1_i96 = 0; c1_i96 < 3; c1_i96 = c1_i96 + 1) {
    for (c1_i97 = 0; c1_i97 < 3; c1_i97 = c1_i97 + 1) {
      c1_C[(c1_i97 + c1_i94) + 18] = -c1_S[c1_i97 + c1_i95];
    }

    c1_i94 = c1_i94 + 6;
    c1_i95 = c1_i95 + 3;
  }

  c1_i98 = 0;
  c1_i99 = 0;
  for (c1_i100 = 0; c1_i100 < 3; c1_i100 = c1_i100 + 1) {
    for (c1_i101 = 0; c1_i101 < 3; c1_i101 = c1_i101 + 1) {
      c1_C[(c1_i101 + c1_i98) + 3] = -c1_b_S[c1_i101 + c1_i99];
    }

    c1_i98 = c1_i98 + 6;
    c1_i99 = c1_i99 + 3;
  }

  c1_i102 = 0;
  c1_i103 = 0;
  for (c1_i104 = 0; c1_i104 < 3; c1_i104 = c1_i104 + 1) {
    for (c1_i105 = 0; c1_i105 < 3; c1_i105 = c1_i105 + 1) {
      c1_C[(c1_i105 + c1_i102) + 21] = -c1_c_S[c1_i105 + c1_i103];
    }

    c1_i102 = c1_i102 + 6;
    c1_i103 = c1_i103 + 3;
  }

  _SFD_EML_CALL(0, 34);
  for (c1_i106 = 0; c1_i106 < 3; c1_i106 = c1_i106 + 1) {
    for (c1_i107 = 0; c1_i107 < 3; c1_i107 = c1_i107 + 1) {
      c1_CARB[c1_i107 + 3 * c1_i106] = c1_C[(_SFD_EML_ARRAY_BOUNDS_CHECK("C",
        (int32_T)_SFD_INTEGER_CHECK("idx_M", c1_idx_M[c1_i107]), 1,
        6, 1, 0) - 1) + 6 * (_SFD_EML_ARRAY_BOUNDS_CHECK("C", (int32_T)
        _SFD_INTEGER_CHECK("idx_M", c1_idx_M[c1_i106]), 1, 6, 2, 0) - 1)];
    }
  }

  _SFD_EML_CALL(0, -34);
  sf_debug_symbol_scope_pop();
  for (c1_i108 = 0; c1_i108 < 9; c1_i108 = c1_i108 + 1) {
    (*c1_b_CARB)[c1_i108] = c1_CARB[c1_i108];
  }

  _SFD_CC_CALL(EXIT_OUT_OF_FUNCTION_TAG, 0);
}

static void compInitSubchartSimstructsFcn_c1_vesselFluidMemNonlin
  (SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance)
{
}

static void init_script_number_translation(uint32_T c1_machineNumber, uint32_T
  c1_chartNumber)
{
}

static void c1_eml_scalar_eg(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance)
{
}

static const mxArray *c1_sf_marshall(void *chartInstanceVoid, void *c1_u)
{
  const mxArray *c1_y = NULL;
  int32_T c1_i109;
  int32_T c1_i110;
  int32_T c1_i111;
  real_T c1_b_u[9];
  int32_T c1_i112;
  int32_T c1_i113;
  int32_T c1_i114;
  real_T c1_c_u[9];
  const mxArray *c1_b_y = NULL;
  SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance;
  chartInstance = (SFc1_vesselFluidMemNonlinInstanceStruct *)chartInstanceVoid;
  c1_y = NULL;
  c1_i109 = 0;
  for (c1_i110 = 0; c1_i110 < 3; c1_i110 = c1_i110 + 1) {
    for (c1_i111 = 0; c1_i111 < 3; c1_i111 = c1_i111 + 1) {
      c1_b_u[c1_i111 + c1_i109] = (*((real_T (*)[9])c1_u))[c1_i111 + c1_i109];
    }

    c1_i109 = c1_i109 + 3;
  }

  c1_i112 = 0;
  for (c1_i113 = 0; c1_i113 < 3; c1_i113 = c1_i113 + 1) {
    for (c1_i114 = 0; c1_i114 < 3; c1_i114 = c1_i114 + 1) {
      c1_c_u[c1_i114 + c1_i112] = c1_b_u[c1_i114 + c1_i112];
    }

    c1_i112 = c1_i112 + 3;
  }

  c1_b_y = NULL;
  sf_mex_assign(&c1_b_y, sf_mex_create("y", c1_c_u, 0, 0U, 1U, 0U, 2, 3, 3));
  sf_mex_assign(&c1_y, c1_b_y);
  return c1_y;
}

static const mxArray *c1_b_sf_marshall(void *chartInstanceVoid, void *c1_u)
{
  const mxArray *c1_y = NULL;
  int32_T c1_i115;
  real_T c1_b_u[3];
  int32_T c1_i116;
  real_T c1_c_u[3];
  const mxArray *c1_b_y = NULL;
  SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance;
  chartInstance = (SFc1_vesselFluidMemNonlinInstanceStruct *)chartInstanceVoid;
  c1_y = NULL;
  for (c1_i115 = 0; c1_i115 < 3; c1_i115 = c1_i115 + 1) {
    c1_b_u[c1_i115] = (*((real_T (*)[3])c1_u))[c1_i115];
  }

  for (c1_i116 = 0; c1_i116 < 3; c1_i116 = c1_i116 + 1) {
    c1_c_u[c1_i116] = c1_b_u[c1_i116];
  }

  c1_b_y = NULL;
  sf_mex_assign(&c1_b_y, sf_mex_create("y", c1_c_u, 0, 0U, 1U, 0U, 1, 3));
  sf_mex_assign(&c1_y, c1_b_y);
  return c1_y;
}

static const mxArray *c1_c_sf_marshall(void *chartInstanceVoid, void *c1_u)
{
  const mxArray *c1_y = NULL;
  real_T c1_b_u;
  const mxArray *c1_b_y = NULL;
  SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance;
  chartInstance = (SFc1_vesselFluidMemNonlinInstanceStruct *)chartInstanceVoid;
  c1_y = NULL;
  c1_b_u = *((real_T *)c1_u);
  c1_b_y = NULL;
  sf_mex_assign(&c1_b_y, sf_mex_create("y", &c1_b_u, 0, 0U, 0U, 0U, 0));
  sf_mex_assign(&c1_y, c1_b_y);
  return c1_y;
}

static const mxArray *c1_d_sf_marshall(void *chartInstanceVoid, void *c1_u)
{
  const mxArray *c1_y = NULL;
  int32_T c1_i117;
  real_T c1_b_u[6];
  int32_T c1_i118;
  real_T c1_c_u[6];
  const mxArray *c1_b_y = NULL;
  SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance;
  chartInstance = (SFc1_vesselFluidMemNonlinInstanceStruct *)chartInstanceVoid;
  c1_y = NULL;
  for (c1_i117 = 0; c1_i117 < 6; c1_i117 = c1_i117 + 1) {
    c1_b_u[c1_i117] = (*((real_T (*)[6])c1_u))[c1_i117];
  }

  for (c1_i118 = 0; c1_i118 < 6; c1_i118 = c1_i118 + 1) {
    c1_c_u[c1_i118] = c1_b_u[c1_i118];
  }

  c1_b_y = NULL;
  sf_mex_assign(&c1_b_y, sf_mex_create("y", c1_c_u, 0, 0U, 1U, 0U, 1, 6));
  sf_mex_assign(&c1_y, c1_b_y);
  return c1_y;
}

static const mxArray *c1_e_sf_marshall(void *chartInstanceVoid, void *c1_u)
{
  const mxArray *c1_y = NULL;
  int32_T c1_i119;
  int32_T c1_i120;
  int32_T c1_i121;
  real_T c1_b_u[36];
  int32_T c1_i122;
  int32_T c1_i123;
  int32_T c1_i124;
  real_T c1_c_u[36];
  const mxArray *c1_b_y = NULL;
  SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance;
  chartInstance = (SFc1_vesselFluidMemNonlinInstanceStruct *)chartInstanceVoid;
  c1_y = NULL;
  c1_i119 = 0;
  for (c1_i120 = 0; c1_i120 < 6; c1_i120 = c1_i120 + 1) {
    for (c1_i121 = 0; c1_i121 < 6; c1_i121 = c1_i121 + 1) {
      c1_b_u[c1_i121 + c1_i119] = (*((real_T (*)[36])c1_u))[c1_i121 + c1_i119];
    }

    c1_i119 = c1_i119 + 6;
  }

  c1_i122 = 0;
  for (c1_i123 = 0; c1_i123 < 6; c1_i123 = c1_i123 + 1) {
    for (c1_i124 = 0; c1_i124 < 6; c1_i124 = c1_i124 + 1) {
      c1_c_u[c1_i124 + c1_i122] = c1_b_u[c1_i124 + c1_i122];
    }

    c1_i122 = c1_i122 + 6;
  }

  c1_b_y = NULL;
  sf_mex_assign(&c1_b_y, sf_mex_create("y", c1_c_u, 0, 0U, 1U, 0U, 2, 6, 6));
  sf_mex_assign(&c1_y, c1_b_y);
  return c1_y;
}

static const mxArray *c1_f_sf_marshall(void *chartInstanceVoid, void *c1_u)
{
  const mxArray *c1_y = NULL;
  int32_T c1_i125;
  real_T c1_b_u[3];
  int32_T c1_i126;
  real_T c1_c_u[3];
  const mxArray *c1_b_y = NULL;
  SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance;
  chartInstance = (SFc1_vesselFluidMemNonlinInstanceStruct *)chartInstanceVoid;
  c1_y = NULL;
  for (c1_i125 = 0; c1_i125 < 3; c1_i125 = c1_i125 + 1) {
    c1_b_u[c1_i125] = (*((real_T (*)[3])c1_u))[c1_i125];
  }

  for (c1_i126 = 0; c1_i126 < 3; c1_i126 = c1_i126 + 1) {
    c1_c_u[c1_i126] = c1_b_u[c1_i126];
  }

  c1_b_y = NULL;
  sf_mex_assign(&c1_b_y, sf_mex_create("y", c1_c_u, 0, 0U, 1U, 0U, 2, 1, 3));
  sf_mex_assign(&c1_y, c1_b_y);
  return c1_y;
}

const mxArray *sf_c1_vesselFluidMemNonlin_get_eml_resolved_functions_info(void)
{
  const mxArray *c1_nameCaptureInfo = NULL;
  c1_ResolvedFunctionInfo c1_info[41];
  const mxArray *c1_m0 = NULL;
  int32_T c1_i127;
  c1_ResolvedFunctionInfo *c1_r0;
  c1_nameCaptureInfo = NULL;
  c1_info_helper(c1_info);
  sf_mex_assign(&c1_m0, sf_mex_createstruct("nameCaptureInfo", 1, 41));
  for (c1_i127 = 0; c1_i127 < 41; c1_i127 = c1_i127 + 1) {
    c1_r0 = &c1_info[c1_i127];
    sf_mex_addfield(c1_m0, sf_mex_create("nameCaptureInfo", c1_r0->context, 15,
      0U, 0U, 0U, 2, 1, strlen(c1_r0->context)), "context",
                    "nameCaptureInfo", c1_i127);
    sf_mex_addfield(c1_m0, sf_mex_create("nameCaptureInfo", c1_r0->name, 15, 0U,
      0U, 0U, 2, 1, strlen(c1_r0->name)), "name",
                    "nameCaptureInfo", c1_i127);
    sf_mex_addfield(c1_m0, sf_mex_create("nameCaptureInfo", c1_r0->dominantType,
      15, 0U, 0U, 0U, 2, 1, strlen(c1_r0->dominantType)),
                    "dominantType", "nameCaptureInfo", c1_i127);
    sf_mex_addfield(c1_m0, sf_mex_create("nameCaptureInfo", c1_r0->resolved, 15,
      0U, 0U, 0U, 2, 1, strlen(c1_r0->resolved)), "resolved"
                    , "nameCaptureInfo", c1_i127);
    sf_mex_addfield(c1_m0, sf_mex_create("nameCaptureInfo", &c1_r0->fileLength,
      7, 0U, 0U, 0U, 0), "fileLength", "nameCaptureInfo",
                    c1_i127);
    sf_mex_addfield(c1_m0, sf_mex_create("nameCaptureInfo", &c1_r0->fileTime1, 7,
      0U, 0U, 0U, 0), "fileTime1", "nameCaptureInfo",
                    c1_i127);
    sf_mex_addfield(c1_m0, sf_mex_create("nameCaptureInfo", &c1_r0->fileTime2, 7,
      0U, 0U, 0U, 0), "fileTime2", "nameCaptureInfo",
                    c1_i127);
  }

  sf_mex_assign(&c1_nameCaptureInfo, c1_m0);
  return c1_nameCaptureInfo;
}

static void c1_info_helper(c1_ResolvedFunctionInfo c1_info[41])
{
  c1_info[0].context = "";
  c1_info[0].name = "zeros";
  c1_info[0].dominantType = "double";
  c1_info[0].resolved = "[B]zeros";
  c1_info[0].fileLength = 0U;
  c1_info[0].fileTime1 = 0U;
  c1_info[0].fileTime2 = 0U;
  c1_info[1].context = "";
  c1_info[1].name = "ctranspose";
  c1_info[1].dominantType = "double";
  c1_info[1].resolved = "[B]ctranspose";
  c1_info[1].fileLength = 0U;
  c1_info[1].fileTime1 = 0U;
  c1_info[1].fileTime2 = 0U;
  c1_info[2].context = "";
  c1_info[2].name = "plus";
  c1_info[2].dominantType = "double";
  c1_info[2].resolved = "[B]plus";
  c1_info[2].fileLength = 0U;
  c1_info[2].fileTime1 = 0U;
  c1_info[2].fileTime2 = 0U;
  c1_info[3].context = "";
  c1_info[3].name = "mtimes";
  c1_info[3].dominantType = "double";
  c1_info[3].resolved = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[3].fileLength = 3425U;
  c1_info[3].fileTime1 = 1251017472U;
  c1_info[3].fileTime2 = 0U;
  c1_info[4].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[4].name = "nargin";
  c1_info[4].dominantType = "";
  c1_info[4].resolved = "[B]nargin";
  c1_info[4].fileLength = 0U;
  c1_info[4].fileTime1 = 0U;
  c1_info[4].fileTime2 = 0U;
  c1_info[5].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[5].name = "gt";
  c1_info[5].dominantType = "double";
  c1_info[5].resolved = "[B]gt";
  c1_info[5].fileLength = 0U;
  c1_info[5].fileTime1 = 0U;
  c1_info[5].fileTime2 = 0U;
  c1_info[6].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[6].name = "isa";
  c1_info[6].dominantType = "double";
  c1_info[6].resolved = "[B]isa";
  c1_info[6].fileLength = 0U;
  c1_info[6].fileTime1 = 0U;
  c1_info[6].fileTime2 = 0U;
  c1_info[7].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[7].name = "isinteger";
  c1_info[7].dominantType = "double";
  c1_info[7].resolved = "[B]isinteger";
  c1_info[7].fileLength = 0U;
  c1_info[7].fileTime1 = 0U;
  c1_info[7].fileTime2 = 0U;
  c1_info[8].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[8].name = "isscalar";
  c1_info[8].dominantType = "double";
  c1_info[8].resolved = "[B]isscalar";
  c1_info[8].fileLength = 0U;
  c1_info[8].fileTime1 = 0U;
  c1_info[8].fileTime2 = 0U;
  c1_info[9].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[9].name = "strcmp";
  c1_info[9].dominantType = "char";
  c1_info[9].resolved = "[B]strcmp";
  c1_info[9].fileLength = 0U;
  c1_info[9].fileTime1 = 0U;
  c1_info[9].fileTime2 = 0U;
  c1_info[10].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[10].name = "size";
  c1_info[10].dominantType = "double";
  c1_info[10].resolved = "[B]size";
  c1_info[10].fileLength = 0U;
  c1_info[10].fileTime1 = 0U;
  c1_info[10].fileTime2 = 0U;
  c1_info[11].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[11].name = "eq";
  c1_info[11].dominantType = "double";
  c1_info[11].resolved = "[B]eq";
  c1_info[11].fileLength = 0U;
  c1_info[11].fileTime1 = 0U;
  c1_info[11].fileTime2 = 0U;
  c1_info[12].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[12].name = "class";
  c1_info[12].dominantType = "double";
  c1_info[12].resolved = "[B]class";
  c1_info[12].fileLength = 0U;
  c1_info[12].fileTime1 = 0U;
  c1_info[12].fileTime2 = 0U;
  c1_info[13].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[13].name = "not";
  c1_info[13].dominantType = "logical";
  c1_info[13].resolved = "[B]not";
  c1_info[13].fileLength = 0U;
  c1_info[13].fileTime1 = 0U;
  c1_info[13].fileTime2 = 0U;
  c1_info[14].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[14].name = "ndims";
  c1_info[14].dominantType = "double";
  c1_info[14].resolved = "[B]ndims";
  c1_info[14].fileLength = 0U;
  c1_info[14].fileTime1 = 0U;
  c1_info[14].fileTime2 = 0U;
  c1_info[15].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[15].name = "le";
  c1_info[15].dominantType = "double";
  c1_info[15].resolved = "[B]le";
  c1_info[15].fileLength = 0U;
  c1_info[15].fileTime1 = 0U;
  c1_info[15].fileTime2 = 0U;
  c1_info[16].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[16].name = "isreal";
  c1_info[16].dominantType = "double";
  c1_info[16].resolved = "[B]isreal";
  c1_info[16].fileLength = 0U;
  c1_info[16].fileTime1 = 0U;
  c1_info[16].fileTime2 = 0U;
  c1_info[17].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[17].name = "ne";
  c1_info[17].dominantType = "logical";
  c1_info[17].resolved = "[B]ne";
  c1_info[17].fileLength = 0U;
  c1_info[17].fileTime1 = 0U;
  c1_info[17].fileTime2 = 0U;
  c1_info[18].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[18].name = "eml_index_class";
  c1_info[18].dominantType = "";
  c1_info[18].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_index_class.m";
  c1_info[18].fileLength = 909U;
  c1_info[18].fileTime1 = 1192455982U;
  c1_info[18].fileTime2 = 0U;
  c1_info[19].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[19].name = "ones";
  c1_info[19].dominantType = "char";
  c1_info[19].resolved = "[B]ones";
  c1_info[19].fileLength = 0U;
  c1_info[19].fileTime1 = 0U;
  c1_info[19].fileTime2 = 0U;
  c1_info[20].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[20].name = "cast";
  c1_info[20].dominantType = "double";
  c1_info[20].resolved = "[B]cast";
  c1_info[20].fileLength = 0U;
  c1_info[20].fileTime1 = 0U;
  c1_info[20].fileTime2 = 0U;
  c1_info[21].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[21].name = "eml_scalar_eg";
  c1_info[21].dominantType = "double";
  c1_info[21].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_scalar_eg.m";
  c1_info[21].fileLength = 3068U;
  c1_info[21].fileTime1 = 1240247610U;
  c1_info[21].fileTime2 = 0U;
  c1_info[22].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_scalar_eg.m!any_enums";
  c1_info[22].name = "false";
  c1_info[22].dominantType = "";
  c1_info[22].resolved = "[B]false";
  c1_info[22].fileLength = 0U;
  c1_info[22].fileTime1 = 0U;
  c1_info[22].fileTime2 = 0U;
  c1_info[23].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_scalar_eg.m";
  c1_info[23].name = "isstruct";
  c1_info[23].dominantType = "double";
  c1_info[23].resolved = "[B]isstruct";
  c1_info[23].fileLength = 0U;
  c1_info[23].fileTime1 = 0U;
  c1_info[23].fileTime2 = 0U;
  c1_info[24].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[24].name = "isempty";
  c1_info[24].dominantType = "double";
  c1_info[24].resolved = "[B]isempty";
  c1_info[24].fileLength = 0U;
  c1_info[24].fileTime1 = 0U;
  c1_info[24].fileTime2 = 0U;
  c1_info[25].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c1_info[25].name = "eml_xgemm";
  c1_info[25].dominantType = "int32";
  c1_info[25].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/blas/eml_xgemm.m";
  c1_info[25].fileLength = 3184U;
  c1_info[25].fileTime1 = 1209320052U;
  c1_info[25].fileTime2 = 0U;
  c1_info[26].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/blas/external/eml_blas_xgemm.m";
  c1_info[26].name = "lt";
  c1_info[26].dominantType = "int32";
  c1_info[26].resolved = "[B]lt";
  c1_info[26].fileLength = 0U;
  c1_info[26].fileTime1 = 0U;
  c1_info[26].fileTime2 = 0U;
  c1_info[27].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/blas/external/eml_blas_xgemm.m!itcount";
  c1_info[27].name = "length";
  c1_info[27].dominantType = "double";
  c1_info[27].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elmat/length.m";
  c1_info[27].fileLength = 326U;
  c1_info[27].fileTime1 = 1226562874U;
  c1_info[27].fileTime2 = 0U;
  c1_info[28].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/blas/external/eml_blas_xgemm.m!itcount";
  c1_info[28].name = "min";
  c1_info[28].dominantType = "double";
  c1_info[28].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/datafun/min.m";
  c1_info[28].fileLength = 362U;
  c1_info[28].fileTime1 = 1245087964U;
  c1_info[28].fileTime2 = 0U;
  c1_info[29].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/datafun/min.m";
  c1_info[29].name = "nargout";
  c1_info[29].dominantType = "";
  c1_info[29].resolved = "[B]nargout";
  c1_info[29].fileLength = 0U;
  c1_info[29].fileTime1 = 0U;
  c1_info[29].fileTime2 = 0U;
  c1_info[30].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/datafun/min.m";
  c1_info[30].name = "eml_min_or_max";
  c1_info[30].dominantType = "char";
  c1_info[30].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_min_or_max.m";
  c1_info[30].fileLength = 9967U;
  c1_info[30].fileTime1 = 1261937470U;
  c1_info[30].fileTime2 = 0U;
  c1_info[31].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_min_or_max.m";
  c1_info[31].name = "ischar";
  c1_info[31].dominantType = "char";
  c1_info[31].resolved = "[B]ischar";
  c1_info[31].fileLength = 0U;
  c1_info[31].fileTime1 = 0U;
  c1_info[31].fileTime2 = 0U;
  c1_info[32].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_min_or_max.m";
  c1_info[32].name = "isnumeric";
  c1_info[32].dominantType = "double";
  c1_info[32].resolved = "[B]isnumeric";
  c1_info[32].fileLength = 0U;
  c1_info[32].fileTime1 = 0U;
  c1_info[32].fileTime2 = 0U;
  c1_info[33].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_min_or_max.m!eml_bin_extremum";
  c1_info[33].name = "islogical";
  c1_info[33].dominantType = "double";
  c1_info[33].resolved = "[B]islogical";
  c1_info[33].fileLength = 0U;
  c1_info[33].fileTime1 = 0U;
  c1_info[33].fileTime2 = 0U;
  c1_info[34].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_min_or_max.m!eml_bin_extremum";
  c1_info[34].name = "eml_scalexp_alloc";
  c1_info[34].dominantType = "double";
  c1_info[34].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_scalexp_alloc.m";
  c1_info[34].fileLength = 932U;
  c1_info[34].fileTime1 = 1261937470U;
  c1_info[34].fileTime2 = 0U;
  c1_info[35].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_scalexp_alloc.m";
  c1_info[35].name = "minus";
  c1_info[35].dominantType = "double";
  c1_info[35].resolved = "[B]minus";
  c1_info[35].fileLength = 0U;
  c1_info[35].fileTime1 = 0U;
  c1_info[35].fileTime2 = 0U;
  c1_info[36].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/blas/external/eml_blas_xgemm.m";
  c1_info[36].name = "eml_refblas_xgemm";
  c1_info[36].dominantType = "int32";
  c1_info[36].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/blas/refblas/eml_refblas_xgemm.m";
  c1_info[36].fileLength = 5748U;
  c1_info[36].fileTime1 = 1228079472U;
  c1_info[36].fileTime2 = 0U;
  c1_info[37].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/blas/refblas/eml_refblas_xgemm.m";
  c1_info[37].name = "eml_index_minus";
  c1_info[37].dominantType = "int32";
  c1_info[37].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_index_minus.m";
  c1_info[37].fileLength = 277U;
  c1_info[37].fileTime1 = 1192455984U;
  c1_info[37].fileTime2 = 0U;
  c1_info[38].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/blas/refblas/eml_refblas_xgemm.m";
  c1_info[38].name = "eml_index_times";
  c1_info[38].dominantType = "int32";
  c1_info[38].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_index_times.m";
  c1_info[38].fileLength = 280U;
  c1_info[38].fileTime1 = 1192455986U;
  c1_info[38].fileTime2 = 0U;
  c1_info[39].context =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/blas/refblas/eml_refblas_xgemm.m";
  c1_info[39].name = "eml_index_plus";
  c1_info[39].dominantType = "int32";
  c1_info[39].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_index_plus.m";
  c1_info[39].fileLength = 272U;
  c1_info[39].fileTime1 = 1192455984U;
  c1_info[39].fileTime2 = 0U;
  c1_info[40].context = "";
  c1_info[40].name = "uminus";
  c1_info[40].dominantType = "double";
  c1_info[40].resolved = "[B]uminus";
  c1_info[40].fileLength = 0U;
  c1_info[40].fileTime1 = 0U;
  c1_info[40].fileTime2 = 0U;
}

static const mxArray *c1_g_sf_marshall(void *chartInstanceVoid, void *c1_u)
{
  const mxArray *c1_y = NULL;
  boolean_T c1_b_u;
  const mxArray *c1_b_y = NULL;
  SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance;
  chartInstance = (SFc1_vesselFluidMemNonlinInstanceStruct *)chartInstanceVoid;
  c1_y = NULL;
  c1_b_u = *((boolean_T *)c1_u);
  c1_b_y = NULL;
  sf_mex_assign(&c1_b_y, sf_mex_create("y", &c1_b_u, 11, 0U, 0U, 0U, 0));
  sf_mex_assign(&c1_y, c1_b_y);
  return c1_y;
}

static void c1_emlrt_marshallIn(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance, const mxArray *c1_CARB, const char_T *
  c1_name, real_T c1_y[9])
{
  real_T c1_dv1[9];
  int32_T c1_i128;
  sf_mex_import(c1_name, sf_mex_dup(c1_CARB), c1_dv1, 1, 0, 0U, 1, 0U, 2, 3, 3);
  for (c1_i128 = 0; c1_i128 < 9; c1_i128 = c1_i128 + 1) {
    c1_y[c1_i128] = c1_dv1[c1_i128];
  }

  sf_mex_destroy(&c1_CARB);
}

static uint8_T c1_b_emlrt_marshallIn(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance, const mxArray *
  c1_b_is_active_c1_vesselFluidMemNonlin, const char_T *c1_name)
{
  uint8_T c1_y;
  uint8_T c1_u0;
  sf_mex_import(c1_name, sf_mex_dup(c1_b_is_active_c1_vesselFluidMemNonlin),
                &c1_u0, 1, 3, 0U, 0, 0U, 0);
  c1_y = c1_u0;
  sf_mex_destroy(&c1_b_is_active_c1_vesselFluidMemNonlin);
  return c1_y;
}

static void init_dsm_address_info(SFc1_vesselFluidMemNonlinInstanceStruct
  *chartInstance)
{
}

/* SFunction Glue Code */
void sf_c1_vesselFluidMemNonlin_get_check_sum(mxArray *plhs[])
{
  ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(2896862616U);
  ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(899488728U);
  ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(3430679563U);
  ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(2199597073U);
}

mxArray *sf_c1_vesselFluidMemNonlin_get_autoinheritance_info(void)
{
  const char *autoinheritanceFields[] = { "checksum", "inputs", "parameters",
    "outputs" };

  mxArray *mxAutoinheritanceInfo = mxCreateStructMatrix(1,1,4,
    autoinheritanceFields);

  {
    mxArray *mxChecksum = mxCreateDoubleMatrix(4,1,mxREAL);
    double *pr = mxGetPr(mxChecksum);
    pr[0] = (double)(3725367042U);
    pr[1] = (double)(4285068589U);
    pr[2] = (double)(3992456698U);
    pr[3] = (double)(1490789650U);
    mxSetField(mxAutoinheritanceInfo,0,"checksum",mxChecksum);
  }

  {
    const char *dataFields[] = { "size", "type", "complexity" };

    mxArray *mxData = mxCreateStructMatrix(1,2,3,dataFields);

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(3);
      pr[1] = (double)(3);
      mxSetField(mxData,0,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }

    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(3);
      pr[1] = (double)(1);
      mxSetField(mxData,1,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,1,"type",mxType);
    }

    mxSetField(mxData,1,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"inputs",mxData);
  }

  {
    mxSetField(mxAutoinheritanceInfo,0,"parameters",mxCreateDoubleMatrix(0,0,
                mxREAL));
  }

  {
    const char *dataFields[] = { "size", "type", "complexity" };

    mxArray *mxData = mxCreateStructMatrix(1,1,3,dataFields);

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(3);
      pr[1] = (double)(3);
      mxSetField(mxData,0,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }

    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"outputs",mxData);
  }

  return(mxAutoinheritanceInfo);
}

static mxArray *sf_get_sim_state_info_c1_vesselFluidMemNonlin(void)
{
  const char *infoFields[] = { "chartChecksum", "varInfo" };

  mxArray *mxInfo = mxCreateStructMatrix(1, 1, 2, infoFields);
  const char *infoEncStr[] = {
    "100 S1x2'type','srcId','name','auxInfo'{{M[1],M[5],T\"CARB\",},{M[8],M[0],T\"is_active_c1_vesselFluidMemNonlin\",}}"
  };

  mxArray *mxVarInfo = sf_mex_decode_encoded_mx_struct_array(infoEncStr, 2, 10);
  mxArray *mxChecksum = mxCreateDoubleMatrix(1, 4, mxREAL);
  sf_c1_vesselFluidMemNonlin_get_check_sum(&mxChecksum);
  mxSetField(mxInfo, 0, infoFields[0], mxChecksum);
  mxSetField(mxInfo, 0, infoFields[1], mxVarInfo);
  return mxInfo;
}

static void chart_debug_initialization(SimStruct *S, unsigned int
  fullDebuggerInitialization)
{
  if (!sim_mode_is_rtw_gen(S)) {
    SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance;
    chartInstance = (SFc1_vesselFluidMemNonlinInstanceStruct *)
      ((ChartInfoStruct *)(ssGetUserData(S)))->chartInstance;
    if (ssIsFirstInitCond(S) && fullDebuggerInitialization==1) {
      /* do this only if simulation is starting */
      {
        unsigned int chartAlreadyPresent;
        chartAlreadyPresent = sf_debug_initialize_chart
          (_vesselFluidMemNonlinMachineNumber_,
           1,
           1,
           1,
           3,
           0,
           0,
           0,
           0,
           0,
           &(chartInstance->chartNumber),
           &(chartInstance->instanceNumber),
           ssGetPath(S),
           (void *)S);
        if (chartAlreadyPresent==0) {
          /* this is the first instance */
          init_script_number_translation(_vesselFluidMemNonlinMachineNumber_,
            chartInstance->chartNumber);
          sf_debug_set_chart_disable_implicit_casting
            (_vesselFluidMemNonlinMachineNumber_,chartInstance->chartNumber,1);
          sf_debug_set_chart_event_thresholds
            (_vesselFluidMemNonlinMachineNumber_,
             chartInstance->chartNumber,
             0,
             0,
             0);
          _SFD_SET_DATA_PROPS(0,1,1,0,"M");
          _SFD_SET_DATA_PROPS(1,2,0,1,"CARB");
          _SFD_SET_DATA_PROPS(2,1,1,0,"nu");
          _SFD_STATE_INFO(0,0,2);
          _SFD_CH_SUBSTATE_COUNT(0);
          _SFD_CH_SUBSTATE_DECOMP(0);
        }

        _SFD_CV_INIT_CHART(0,0,0,0);

        {
          _SFD_CV_INIT_STATE(0,0,0,0,0,0,NULL,NULL);
        }

        _SFD_CV_INIT_TRANS(0,0,NULL,NULL,0,NULL);

        /* Initialization of EML Model Coverage */
        _SFD_CV_INIT_EML(0,2,0,0,0,0,0,0,0);
        _SFD_CV_INIT_EML_FCN(0,0,"eML_blk_kernel",0,-1,547);
        _SFD_CV_INIT_EML_FCN(0,1,"Smtrx",547,-1,1826);
        _SFD_TRANS_COV_WTS(0,0,0,1,0);
        if (chartAlreadyPresent==0) {
          _SFD_TRANS_COV_MAPS(0,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              1,NULL,NULL,
                              0,NULL,NULL);
        }

        {
          unsigned int dimVector[2];
          dimVector[0]= 3;
          dimVector[1]= 3;
          _SFD_SET_DATA_COMPILED_PROPS(0,SF_DOUBLE,2,&(dimVector[0]),0,0,0,0.0,
            1.0,0,0,(MexFcnForType)c1_sf_marshall);
        }

        {
          unsigned int dimVector[2];
          dimVector[0]= 3;
          dimVector[1]= 3;
          _SFD_SET_DATA_COMPILED_PROPS(1,SF_DOUBLE,2,&(dimVector[0]),0,0,0,0.0,
            1.0,0,0,(MexFcnForType)c1_sf_marshall);
        }

        {
          unsigned int dimVector[1];
          dimVector[0]= 3;
          _SFD_SET_DATA_COMPILED_PROPS(2,SF_DOUBLE,1,&(dimVector[0]),0,0,0,0.0,
            1.0,0,0,(MexFcnForType)c1_b_sf_marshall);
        }

        {
          real_T (*c1_M)[9];
          real_T (*c1_CARB)[9];
          real_T (*c1_nu)[3];
          c1_nu = (real_T (*)[3])ssGetInputPortSignal(chartInstance->S, 1);
          c1_CARB = (real_T (*)[9])ssGetOutputPortSignal(chartInstance->S, 1);
          c1_M = (real_T (*)[9])ssGetInputPortSignal(chartInstance->S, 0);
          _SFD_SET_DATA_VALUE_PTR(0U, *c1_M);
          _SFD_SET_DATA_VALUE_PTR(1U, *c1_CARB);
          _SFD_SET_DATA_VALUE_PTR(2U, *c1_nu);
        }
      }
    } else {
      sf_debug_reset_current_state_configuration
        (_vesselFluidMemNonlinMachineNumber_,chartInstance->chartNumber,
         chartInstance->instanceNumber);
    }
  }
}

static void sf_opaque_initialize_c1_vesselFluidMemNonlin(void *chartInstanceVar)
{
  chart_debug_initialization(((SFc1_vesselFluidMemNonlinInstanceStruct*)
    chartInstanceVar)->S,0);
  initialize_params_c1_vesselFluidMemNonlin
    ((SFc1_vesselFluidMemNonlinInstanceStruct*) chartInstanceVar);
  initialize_c1_vesselFluidMemNonlin((SFc1_vesselFluidMemNonlinInstanceStruct*)
    chartInstanceVar);
}

static void sf_opaque_enable_c1_vesselFluidMemNonlin(void *chartInstanceVar)
{
  enable_c1_vesselFluidMemNonlin((SFc1_vesselFluidMemNonlinInstanceStruct*)
    chartInstanceVar);
}

static void sf_opaque_disable_c1_vesselFluidMemNonlin(void *chartInstanceVar)
{
  disable_c1_vesselFluidMemNonlin((SFc1_vesselFluidMemNonlinInstanceStruct*)
    chartInstanceVar);
}

static void sf_opaque_gateway_c1_vesselFluidMemNonlin(void *chartInstanceVar)
{
  sf_c1_vesselFluidMemNonlin((SFc1_vesselFluidMemNonlinInstanceStruct*)
    chartInstanceVar);
}

static mxArray* sf_internal_get_sim_state_c1_vesselFluidMemNonlin(SimStruct* S)
{
  ChartInfoStruct *chartInfo = (ChartInfoStruct*) ssGetUserData(S);
  mxArray *plhs[1] = { NULL };

  mxArray *prhs[4];
  int mxError = 0;
  prhs[0] = mxCreateString("chart_simctx_raw2high");
  prhs[1] = mxCreateDoubleScalar(ssGetSFuncBlockHandle(S));
  prhs[2] = (mxArray*) get_sim_state_c1_vesselFluidMemNonlin
    ((SFc1_vesselFluidMemNonlinInstanceStruct*)chartInfo->chartInstance);/* raw sim ctx */
  prhs[3] = sf_get_sim_state_info_c1_vesselFluidMemNonlin();/* state var info */
  mxError = sf_mex_call_matlab(1, plhs, 4, prhs, "sfprivate");
  mxDestroyArray(prhs[0]);
  mxDestroyArray(prhs[1]);
  mxDestroyArray(prhs[2]);
  mxDestroyArray(prhs[3]);
  if (mxError || plhs[0] == NULL) {
    sf_mex_error_message("Stateflow Internal Error: \nError calling 'chart_simctx_raw2high'.\n");
  }

  return plhs[0];
}

static void sf_internal_set_sim_state_c1_vesselFluidMemNonlin(SimStruct* S,
  const mxArray *st)
{
  ChartInfoStruct *chartInfo = (ChartInfoStruct*) ssGetUserData(S);
  mxArray *plhs[1] = { NULL };

  mxArray *prhs[4];
  int mxError = 0;
  prhs[0] = mxCreateString("chart_simctx_high2raw");
  prhs[1] = mxCreateDoubleScalar(ssGetSFuncBlockHandle(S));
  prhs[2] = mxDuplicateArray(st);      /* high level simctx */
  prhs[3] = (mxArray*) sf_get_sim_state_info_c1_vesselFluidMemNonlin();/* state var info */
  mxError = sf_mex_call_matlab(1, plhs, 4, prhs, "sfprivate");
  mxDestroyArray(prhs[0]);
  mxDestroyArray(prhs[1]);
  mxDestroyArray(prhs[2]);
  mxDestroyArray(prhs[3]);
  if (mxError || plhs[0] == NULL) {
    sf_mex_error_message("Stateflow Internal Error: \nError calling 'chart_simctx_high2raw'.\n");
  }

  set_sim_state_c1_vesselFluidMemNonlin((SFc1_vesselFluidMemNonlinInstanceStruct*)
    chartInfo->chartInstance, mxDuplicateArray(plhs[0]));
  mxDestroyArray(plhs[0]);
}

static mxArray* sf_opaque_get_sim_state_c1_vesselFluidMemNonlin(SimStruct* S)
{
  return sf_internal_get_sim_state_c1_vesselFluidMemNonlin(S);
}

static void sf_opaque_set_sim_state_c1_vesselFluidMemNonlin(SimStruct* S, const
  mxArray *st)
{
  sf_internal_set_sim_state_c1_vesselFluidMemNonlin(S, st);
}

static void sf_opaque_terminate_c1_vesselFluidMemNonlin(void *chartInstanceVar)
{
  if (chartInstanceVar!=NULL) {
    SimStruct *S = ((SFc1_vesselFluidMemNonlinInstanceStruct*) chartInstanceVar
      )->S;
    if (sim_mode_is_rtw_gen(S) || sim_mode_is_external(S)) {
      sf_clear_rtw_identifier(S);
    }

    finalize_c1_vesselFluidMemNonlin((SFc1_vesselFluidMemNonlinInstanceStruct*)
      chartInstanceVar);
    free((void *)chartInstanceVar);
    ssSetUserData(S,NULL);
  }
}

static void sf_opaque_init_subchart_simstructs(void *chartInstanceVar)
{
  compInitSubchartSimstructsFcn_c1_vesselFluidMemNonlin
    ((SFc1_vesselFluidMemNonlinInstanceStruct*) chartInstanceVar);
}

extern unsigned int sf_machine_global_initializer_called(void);
static void mdlProcessParameters_c1_vesselFluidMemNonlin(SimStruct *S)
{
  int i;
  for (i=0;i<ssGetNumRunTimeParams(S);i++) {
    if (ssGetSFcnParamTunable(S,i)) {
      ssUpdateDlgParamAsRunTimeParam(S,i);
    }
  }

  if (sf_machine_global_initializer_called()) {
    initialize_params_c1_vesselFluidMemNonlin
      ((SFc1_vesselFluidMemNonlinInstanceStruct*)(((ChartInfoStruct *)
         ssGetUserData(S))->chartInstance));
  }
}

static void mdlSetWorkWidths_c1_vesselFluidMemNonlin(SimStruct *S)
{
  if (sim_mode_is_rtw_gen(S) || sim_mode_is_external(S)) {
    int_T chartIsInlinable =
      (int_T)sf_is_chart_inlinable(S,"vesselFluidMemNonlin",
      "vesselFluidMemNonlin",1);
    ssSetStateflowIsInlinable(S,chartIsInlinable);
    ssSetRTWCG(S,sf_rtw_info_uint_prop(S,"vesselFluidMemNonlin",
                "vesselFluidMemNonlin",1,"RTWCG"));
    ssSetEnableFcnIsTrivial(S,1);
    ssSetDisableFcnIsTrivial(S,1);
    ssSetNotMultipleInlinable(S,sf_rtw_info_uint_prop(S,"vesselFluidMemNonlin",
      "vesselFluidMemNonlin",1,"gatewayCannotBeInlinedMultipleTimes"));
    if (chartIsInlinable) {
      ssSetInputPortOptimOpts(S, 0, SS_REUSABLE_AND_LOCAL);
      ssSetInputPortOptimOpts(S, 1, SS_REUSABLE_AND_LOCAL);
      sf_mark_chart_expressionable_inputs(S,"vesselFluidMemNonlin",
        "vesselFluidMemNonlin",1,2);
      sf_mark_chart_reusable_outputs(S,"vesselFluidMemNonlin",
        "vesselFluidMemNonlin",1,1);
    }

    sf_set_rtw_dwork_info(S,"vesselFluidMemNonlin","vesselFluidMemNonlin",1);
    ssSetHasSubFunctions(S,!(chartIsInlinable));
  } else {
  }

  ssSetOptions(S,ssGetOptions(S)|SS_OPTION_WORKS_WITH_CODE_REUSE);
  ssSetChecksum0(S,(598482552U));
  ssSetChecksum1(S,(810335077U));
  ssSetChecksum2(S,(527935362U));
  ssSetChecksum3(S,(2549557086U));
  ssSetmdlDerivatives(S, NULL);
  ssSetExplicitFCSSCtrl(S,1);
}

static void mdlRTW_c1_vesselFluidMemNonlin(SimStruct *S)
{
  if (sim_mode_is_rtw_gen(S)) {
    sf_write_symbol_mapping(S, "vesselFluidMemNonlin", "vesselFluidMemNonlin",1);
    ssWriteRTWStrParam(S, "StateflowChartType", "Embedded MATLAB");
  }
}

static void mdlStart_c1_vesselFluidMemNonlin(SimStruct *S)
{
  SFc1_vesselFluidMemNonlinInstanceStruct *chartInstance;
  chartInstance = (SFc1_vesselFluidMemNonlinInstanceStruct *)malloc(sizeof
    (SFc1_vesselFluidMemNonlinInstanceStruct));
  memset(chartInstance, 0, sizeof(SFc1_vesselFluidMemNonlinInstanceStruct));
  if (chartInstance==NULL) {
    sf_mex_error_message("Could not allocate memory for chart instance.");
  }

  chartInstance->chartInfo.chartInstance = chartInstance;
  chartInstance->chartInfo.isEMLChart = 1;
  chartInstance->chartInfo.chartInitialized = 0;
  chartInstance->chartInfo.sFunctionGateway =
    sf_opaque_gateway_c1_vesselFluidMemNonlin;
  chartInstance->chartInfo.initializeChart =
    sf_opaque_initialize_c1_vesselFluidMemNonlin;
  chartInstance->chartInfo.terminateChart =
    sf_opaque_terminate_c1_vesselFluidMemNonlin;
  chartInstance->chartInfo.enableChart =
    sf_opaque_enable_c1_vesselFluidMemNonlin;
  chartInstance->chartInfo.disableChart =
    sf_opaque_disable_c1_vesselFluidMemNonlin;
  chartInstance->chartInfo.getSimState =
    sf_opaque_get_sim_state_c1_vesselFluidMemNonlin;
  chartInstance->chartInfo.setSimState =
    sf_opaque_set_sim_state_c1_vesselFluidMemNonlin;
  chartInstance->chartInfo.getSimStateInfo =
    sf_get_sim_state_info_c1_vesselFluidMemNonlin;
  chartInstance->chartInfo.zeroCrossings = NULL;
  chartInstance->chartInfo.outputs = NULL;
  chartInstance->chartInfo.derivatives = NULL;
  chartInstance->chartInfo.mdlRTW = mdlRTW_c1_vesselFluidMemNonlin;
  chartInstance->chartInfo.mdlStart = mdlStart_c1_vesselFluidMemNonlin;
  chartInstance->chartInfo.mdlSetWorkWidths =
    mdlSetWorkWidths_c1_vesselFluidMemNonlin;
  chartInstance->chartInfo.extModeExec = NULL;
  chartInstance->chartInfo.restoreLastMajorStepConfiguration = NULL;
  chartInstance->chartInfo.restoreBeforeLastMajorStepConfiguration = NULL;
  chartInstance->chartInfo.storeCurrentConfiguration = NULL;
  chartInstance->S = S;
  ssSetUserData(S,(void *)(&(chartInstance->chartInfo)));/* register the chart instance with simstruct */
  init_dsm_address_info(chartInstance);
  if (!sim_mode_is_rtw_gen(S)) {
  }

  sf_opaque_init_subchart_simstructs(chartInstance->chartInfo.chartInstance);
  chart_debug_initialization(S,1);
}

void c1_vesselFluidMemNonlin_method_dispatcher(SimStruct *S, int_T method, void *
  data)
{
  switch (method) {
   case SS_CALL_MDL_START:
    mdlStart_c1_vesselFluidMemNonlin(S);
    break;

   case SS_CALL_MDL_SET_WORK_WIDTHS:
    mdlSetWorkWidths_c1_vesselFluidMemNonlin(S);
    break;

   case SS_CALL_MDL_PROCESS_PARAMETERS:
    mdlProcessParameters_c1_vesselFluidMemNonlin(S);
    break;

   default:
    /* Unhandled method */
    sf_mex_error_message("Stateflow Internal Error:\n"
                         "Error calling c1_vesselFluidMemNonlin_method_dispatcher.\n"
                         "Can't handle method %d.\n", method);
    break;
  }
}
